
   Phorum 5 Changelog
   --------------------------------------------------------------------------------
   
   2010-03-17 12:50  ts77
	* added original message to after_edit / before_edit hooks (fixing
	  #803, thanks to Alexey Torkhov)

   2010-03-17 12:23  ts77
	* added message_id to the read hook (fixing #934, thanks to Markus
	  Fischer)

   2010-03-16 23:16  mmakaay
	* Fixed bug: when changing the password twice in a row from the
	  control center, the second password change triggered the CSRF
	  protection error ("Possible hack attempt detected. The posted form
	  data was rejected.")

   2010-03-16 22:51  mmakaay
	* Various fixes for (minor) security related issues. * Fixed the
	  possibility of bypassing the email address validation checks and
	  confirmation code via email for email address changes through the
	  control center. Risk: the user could change his own email address
	  to some fake address, because the email validation step was
	  skipped. (thanks to Carlos Ghan for pointing out this issue) * XSS
	  issue for the email address change panel in the control center
	  fixed. The previous fix already prevents this, because the user
	  can no longer inject a false email address with HTML code in it.
	  The email settings panel prevents that. Still, we added an extra
	  layer of XSS protection to the control center code. Risk: the XSS
	  issue was only triggered for the user himself, within his own
	  control center. The email address in the public user profile was
	  already XSS-protected. (thanks to Carlos Ghan for pointing out
	  this issue) * Fixed the possibility of bypassing the original
	  password check when changing the password through the control
	  center. Risk: this might be used by a malicious user to change the
	  password for a user that is logged into Phorum on a computer that
	  the malicious user has direct access to (e.g. a computer in a
	  library or internet cafe, where the user forgot to logout). *
	  Fixed an XSS issue in the personal file management panel in the
	  control center. By uploading a file with a specially crafted
	  filename, HTML code could be injected in the file management page.
	  Risk: the XSS issue was only triggered for the user himself,
	  within his own control center.

   2010-02-26 18:48  ts77
	* fixed warning on logout in rare cases (fixing #920, thanks to
	  Markus Fischer, Regexp provided by Brian)

   2010-02-26 17:20  ts77
	* added setting define for number of search paging links shown (as
	  requested in #932, thanks to Thomas Subera)

   2010-02-22 15:57  ts77
	* use the correct variable in controlcenter/summary.php to allow
	  overriding for module developers. fixing #928, thanks to
	  Azumandias

   2010-02-22 15:52  ts77
	* avoid trying to retrieve users with user_id 0 in read.php with
	  some conditionals, saving on db calls, fixing #929, thanks to
	  Markus Fischer

   2010-02-16 19:22  brian
	* Fix for issue where fast running searches could report a database
	  error

   2010-02-16 16:01  ts77
	* added force_{okmsg|error} to hook_info in control.php to allow
	  overriding the messages without fully overriding the panel. Thanks
	  to Phorum user Phil Connolly for the idea.

   2010-02-12 15:36  ts77
	* added json2.js json parser for decoding json (could be used for
	  encoding too) as requested in #923 for added security and
	  performance (Firefox 3.5 and IE8 should have a native JSON parser
	  which is API compatible with this script and therefore
	  automatically used), added phorum_textarea and phorum_subject
	  manipulation javascript into core (see #914 for the reasoning,
	  thanks to "mrboson")

   2010-02-12 14:16  ts77
	* backported phorum_api_url_no_uri_auth to allow easier generation
	  of URLs without uri-authentication. (patch from Markus Fischer in
	  #921)

   2010-02-12 14:04  ts77
	* added left/right bbcode tags and editor tools

   2010-02-06 12:38  ts77
	* fixing css caching which could lead to mixed up css-caches like
	  including the css_print instead of the full one. (fixing #913)

   2010-02-06 12:32  ts77
	* adding new hook "admin_editforum_form_save_after_defaults" as
	  proposed in #916, thanks to Markus Fischer. ATTENTION: not added
	  in trunk (aka 5.3) as the whole handling has changed there.

   2010-02-06 12:25  ts77
	* added new hook "feed_sent" (fixing #917, thanks to Markus Fischer)

   2010-02-06 12:17  ts77
	* selecting only active users for subscription notifications (fixing
	  #919, thanks to Markus Fischer for the patch)

   2010-01-12 09:34  ts77
	* update the forum status on editing if the sort order of the thread
	  has been changed (fixing #911)

   2009-12-27 11:25  ts77
	* killing some warnings when calling moderation.php without
	  arguments (fixing #905, thanks to Markus Fischer)

   2009-12-09 14:05  ts77
	* added additional "raw_data" flag to phorum_api_user_get for usage
	  in saving to avoid storing html escaped versions of custom profile
	  fields. Thanks to Joe Curia for the report.

   2009-12-09 08:04  mmakaay
	* Fix for correctly blocking posts to closed topics, in case the
	  reply message was started before the topic was closed. Thanks to
	  Phorum user cactux for the problem report.

   2009-12-04 21:10  mmakaay
	* Added a new hook "pm_before_editor" to the PM script, as requested
	  by Phil Connolly.

   2009-11-30 09:13  mmakaay
	* Required changes in templates for Spam Hurdles v2.

   2009-11-30 01:41  mmakaay
	* Some new hooks and a template hook to make protecting the PM
	  interface with Spam Hurdles (version 2) possible.

   2009-11-20 08:52  mmakaay
	* Another try at fixing the vroot issue for root level RSS feeds.

   2009-11-18 14:57  ts77
	* fixed vroot feeds

   2009-10-18 10:26  ts77
	* fix profile url of the author in the unapproved message panel
	  (template change, fixing #897)

   2009-10-18 10:13  ts77
	* suppress notices from connect calls, as it would break redirection
	  to a down page and errors itself are handled later in the code
	  (thanks to CBill for noticing that issue)

   2009-10-17 11:02  ts77
	* fixing unsubscribe handling while replying (fixed #884, thanks to
	  Thomas Subera)

   2009-10-17 10:52  ts77
	* added two new admin hooks as provided by Markus Fischer in #895.
	  ATTENTION: no support in 5.3 for these as the handling in
	  newforum.php is totally different there!

   2009-10-17 10:38  ts77
	* rebuild search data only when "empty_search_table" is not set
	  (fixing #883, thanks to Markus Fischer)

   2009-10-17 10:30  ts77
	* using the default template when creating new folders (patch from
	  Markus Fischer in #886, thanks)

   2009-10-16 22:22  ts77
	* added ability to log user deletion to Event Logging through patch
	  from Markus Fischer (fixing #893)

   2009-10-16 22:11  ts77
	* only accepting css templates as arguments for css.php and check
	  for empty param (fixing #887)

   2009-10-14 13:52  ts77
	* turning TYPE=MyISAM into ENGINE=MyISAM to make Phorum compatible
	  with more recent MySQL versions. This effectively makes Phorum
	  incompatible with MySQL4 which is therefore stated in the install
	  docs.

   2009-09-29 22:39  mmakaay
	* MFT: # Fix for #891: version parsing problem in the modules API.

   2009-09-29 20:00  mmakaay
	* Added a sanity check to see if the version of PHP is 5.0.0 or
	  higher. When the version is lower, then a critical error is
	  returned. Effectively, people that are running PHP4 won't be able
	  to install Phorum anymore, unless they upgrade to PHP5.

   2009-09-29 06:41  mmakaay
	* Moved the hard-coded max message length to a definition in
	  constants.php.

   2009-09-13 10:20  mmakaay
	* Fixed bug: the recently added anti-XSS code for the font size
	  BBcode did not accept x-large and x-small as valid sizes. Thanks
	  to Robert Angle for the heads up!

   2009-08-25 22:59  ts77
	* fixed last-modified header for css.php/javascript.php (closing
	  #881, thanks to Markus Fischer)

   2009-08-25 19:38  mmakaay
	* Make sure that the doomed "magic_quotes_runtime" setting is
	  disabled in PHP. Otherwise, data that is retrieved from the
	  database could be crippled by the magic quote handling.

   2009-08-16 23:33  mmakaay
	* Added a "no longer bundled" list to the Modules API. Modules that
	  are no longer included in the Phorum distro can be registered in
	  this list. If Phorum finds an enabled module that is no longer
	  bundled with Phorum and that has a version that is lower than the
	  version as configured in the list, it will suggest the admin to
	  upgrade the module to the separately distributed version. This
	  feature was added for informing admins about the HTML module that
	  recently was removed from the distro.

   2009-08-16 23:31  mmakaay
	* Removed the HTML module from the core distribution. Administrators
	  that want to enable HTML code in the forum messages will have to
	  download the HTML module from now on. URL:
	  http://www.phorum.org/phorum5/read.php?62,140066

   2009-08-16 22:27  ts77
	* moved css.php and javascript.php to use the phorum_cache instead
	  of their own file-based approach (closing #878, thanks to Markus
	  Fischer for the notice)

   2009-08-16 15:38  ts77
	* added okmsg for the general settings page, still with reload to
	  reinit the settings (fixing #861, thanks to Markus Fischer)

   2009-08-15 22:22  mmakaay
	* Fixed a bug in the bbcode tokenizer code that could lead to
	  unexpected parsing results.

   2009-08-15 16:50  ts77
	* adding hooks for pm_delete, pm_delete_folder (fixing #871, thanks
	  to Markus Fischer)

   2009-08-15 16:33  ts77
	* fixing some warnings in stress_test script (fixing #872,#873,
	  thanks to Markus Fischer)

   2009-08-15 16:27  ts77
	* added name attribute to module settings links for better
	  testability (fixing #875, thanks to Markus Fischer)

   2009-08-01 11:03  mmakaay
	* Added a new event to the Event Logging module: User sends a
	  private message.

   2009-07-28 10:48  mmakaay
	* Fixed bug #865: Don't log errors if the silence operator @ is
	  used. Thanks to Markus for both the bug report and the patch that
	  fixes the issue.

   2009-07-27 15:42  mmakaay
	* - Added a new logged event: User requests a new password. Thanks
	  to CBiLL for the idea. This feature requires a new hook that is
	  only available in Phorum 5.2.13 and up. - Modified the failed
	  login event: if the username that was used is known to Phorum,
	  then the user_id is set for the event. This way, failed login
	  events can be filtered by the username as long as an existing
	  username was used. Thanks to CBiLL for the idea. - Fixed a bug:
	  with event logging programmatically suspended, not all hooks
	  returned the correct data. This feature is not widely used (if at
	  all), so there is no real user impact.

   2009-07-27 14:24  mmakaay
	* Added a new hook (for logging purposes): password_reset.

   2009-07-27 10:39  mmakaay
	* Fixed #864: the HTML feed always showed "(-1 replies)" at the end
	  of the feed page.

   2009-07-25 18:15  mmakaay
	* Fixed #866: fixed an accidental introduction of a trunk-only API
	  call in the 5.2 tree, causing the message prune screen to fail.
	  Thanks to Markus for notifying us about the problem.

   2009-07-22 17:54  ts77
	* fixed event logging download issue (fixing #862, thanks to Markus
	  Fischer)

   2009-07-22 17:44  mmakaay
	* Fixed #858: we now use a more forgiving match algorithm for
	  determining the running MySQL server version.

   2009-07-22 17:21  mmakaay
	* Fixed #863: Prevent a PHP NOTICE in when running a CLI script.
	  Thanks to Markus for the problem report.

   2009-07-22 11:58  ts77
	* added code to have the admin stylesheet external with a hook to
	  override the url (closing #860, though I don't see it as a final
	  solution yet with its relative image urls).

   2009-07-22 11:49  ts77
	* add E_USER_ERROR to error reporting in admin (fixing #859, thanks
	  to Markus Fischer)

   2009-07-20 11:46  ts77
	* Preliminary fix for XSS in size and color bbcode tags. Thanks to
	  Paolo Pinto from SYSDREAM

   2009-07-04 00:38  mmakaay
	* Work-around when there is no "&" in the php.ini
	  arg_separator.input option. It that happens, then PHP won't
	  correctly fill the $_GET array. E.g. "arg1=val1&arg2=val2" will
	  end up as array('arg1' => 'val1&arg2=val2').

   2009-07-03 11:45  mmakaay
	* A fix for hosting providers that manage to provide a SCRIPT_URI
	  that does not contain the actually requested HTTP_HOST, probably
	  due to some mass virtual hosting rewrite rules.

   2009-07-01 10:35  mmakaay
	* Fixed #853: A bbcode tag like [url=http://www.phorum.org ] (note
	  the space in front of the "]" character) caused the bbcode
	  formatting to trip. Thanks to Serdar for the bug report!

   2009-07-01 09:05  mmakaay
	* The event logging module is now used for logging blocked form
	  posts. Also, a bugfix was done on the iscramble code. In some
	  cases, there were duplicate id's in use for the blocks that hold
	  the scrambled js code, causing the js md5 signing feature to fail.

   2009-06-30 14:49  mmakaay
	* Fixed the forum picker list for the advanced search page in a
	  vroot environment. Before this change, the list of searchable
	  forums was empty.

   2009-06-09 06:22  brian
	* Added hook to allow overriding of the maximum upload file size.

   2009-05-29 17:29  mmakaay
	* Fixed a permission checking issue for the file.php script. Read
	  access for the forum in which the file is stored was not correctly
	  checked. Thanks to Phorum user "FF" for finding the bug.

   2009-05-18 23:54  mmakaay
	* Logs can now be downloaded from the even viewer settings page
	  (thanks toe Joe Curia for providing the page). Logs are now
	  automatically cleaned up when the total number of logs exceeds the
	  configured maximum. This is done by mean of a garbage collector
	  that is run in 5% of the page requests.

   2009-05-15 12:21  mmakaay
	* Implemented a check to see if an unsafe attachment is downloaded
	  in MSIE6-. If this is the case, then anti-caching headers are
	  sent. This is done, because a quirck in MSIE6 (and maybe lower)
	  could interpret a file from cache, even if we send headers to
	  specifically force a download.

   2009-05-15 10:02  mmakaay
	* Updated the MIME sniffing code (for checking if a browser might
	  see a certain file as HTML code) to be more specific. This is done
	  to minimize the number of false positives that we see. For example
	  "<a" has been changed to "<a[ >]" to make it match either "<a>" or
	  "<a ".

   2009-05-12 10:51  ts77
	* added mime-type checking using fileinfo-extension

   2009-05-10 16:11  mmakaay
	* Fix for the Mime-Sniffing XSS security issue. This is a browser
	  security issue, for which this changeset implements a safety
	  measure on the server side: files that are not safe for viewing
	  (i.e. files that could be treated as HTML code, even if they are
	  uploaded as images or other file types) are not displayed in the
	  browser. Instead, for these files a download is enforced. For
	  extended information on the MIME-Sniffing issue, take a look at
	  http://webblaze.cs.berkeley.edu/2009/content-sniffing/ Thanks to
	  Jacques Copeau for noticing us about this issue.

   2009-04-22 09:12  ts77
	* additional CSRF protection in the admin. Now a new token is
	  generated when accessing the admin without a valid token in the
	  url. This token is timed out after 15 minutes and requires manual
	  click to continue.

   2009-04-21 09:19  mmakaay
	* Fix for #844: avoid the use of addslashes() for SQL escaping in
	  the Spam Hurdles module in favor of phorum_db_interact(), so other
	  database layers can be developed. Thanks to Radium Kolar for
	  noticing.

   2009-04-17 08:53  ts77
	* corrected message after posting in a moderatored forum, removing a
	  warning (fixing #845, thanks to Dready)

   2009-04-14 13:35  mmakaay
	* Fixed #843: No need to have images/* in the distro sanity check as
	  critical files, so I removed them from the file list. Thanks to
	  Mathias for the idea. While I was at it, I updated the distro
	  sanity check script to include new core distribution files in the
	  distro list.

   2009-04-13 23:03  mmakaay
	* Fix for #840: make database "charset" config parameter database
	  layer independant, by putting the check in the db layer sanity
	  check function instead of directly in the database sanity check
	  script. This makes it possible to ignore the charset configuration
	  parameter for database layers that do not require this parameter.

   2009-04-13 10:50  mmakaay
	* Fixed XSS issues from #841. Thanks to cicatriz for reporting them.

   2009-04-13 10:13  mmakaay
	* Fixed #842: make Spam Hurdles module database table name db layer
	  independent.

   2009-03-22 09:58  ts77
	* added support for custom headers to the mail functions and the
	  smtp-mail module, fixed message-id usage in smtp-mail module

   2009-03-20 11:51  mmakaay
	* Some fixes for doc generation.

   2009-03-15 11:13  ts77
	* fixed APC cache-layer (#782, thanks to hcgtv for the report)

   2009-03-14 05:01  brian
	* Added post form confirmation into message deletion process to
	  protect against CSRF attacks

   2009-03-14 01:44  ts77
	* Made allowed redirection URLs for the login a setting in general
	  settings (defaults to localhost and the phorum-url) and fixing
	  with it an "Arbitrary Redirection Vulnerability" reported by
	  Andrew Paterson

   2009-03-13 16:39  mmakaay
	* Implemented a new hook "css_filter" that can be used for
	  post-processing Phorum's CSS code (e.g. compression of the code).

   2009-03-11 01:14  mmakaay
	* Added a layer of protection against CSRF (Cross Site Request
	  Forgery) attacks. Thanks to WHK for notifying us about the
	  possible issues.

   2009-03-11 00:42  mmakaay
	* Fixed a possible XSS issue in the Spam Hurdles module. Thanks to
	  Andrew Paterson for notifying us about the issue.

   2009-03-10 00:03  mmakaay
	* Implemented a new hook "get_template_file", which can be used to
	  influence the phorum_get_template_file() function. The name of the
	  template to load can be updated (e.g. to change "index_new" to
	  "yourmod::index_new") and the template source file to use can be
	  returned (e.g. to tell Phorum that the "pm" template has to be
	  handled by a custom script named
	  "./mods/yourmod/pm_page_handler.php").

   2009-03-06 17:40  brian
	* Fixing XSS issue in control.php

   2009-02-18 17:08  ts77
	* added after_merge / after_split hooks for acting on thread
	  split/merge actions (fixing #828, thanks to so at
	  deluxe-design.at)

   2009-02-18 16:41  ts77
	* moved pm_message array out of the condition to have the data
	  available to the pm_sent hook in any case (fixing #827, thanks to
	  so at deluxe-design.at)

   2009-02-18 16:16  ts77
	* (re-)added storing the user_id for message attachments, fixing
	  #822

   2009-02-01 19:30  mmakaay
	* Fix for #892: mb_substr() replacement function contained a typo.
	  No big impact. The replacement function was not yet in use in core
	  code. Only the smtp_mail module calls mb_substr(). Thanks to
	  r.wetzlmayr for reporting the error!

   2009-01-28 19:41  mmakaay
	* Fixed the BBcode parser for some old PHP systems. A problem in PHP
	  caused the parser to not parse any BBcode tags. # The PHP problem
	  was that the "\0" in a string was seen as a filled # character
	  position. E.g. with $a="b", isset($a[1]) would yield TRUE. # This
	  threw of the bbcode parse tree generator.

   2009-01-23 22:01  ts77
	* fix for an XSS issue reported by Mark Gordon

   2008-12-30 18:30  brian
	* Fixed lightweight read template. There was an extra close div in
	  the attachments section making the rest of the page break out of
	  the main phorum div

   2008-12-09 08:52  ts77
	* added experimental attachment support to the smtp-mail module

   2008-12-06 10:56  mmakaay
	* Close the database connection explicitly at the end of the Phorum
	  script, to prevent lingering MySQL connections from overloading
	  the MySQL server.

   2008-11-26 14:51  mmakaay
	* Oops...I fixed it again.

   2008-11-26 14:48  mmakaay
	* Straightened out the moderation thread hooks. The hook "hide" is
	  now called "hide_thread" to be in harmony with the other thread
	  moderation hooks. Thanks to Joe Curia for noting the
	  inconsistency.

   2008-11-23 23:50  brian
	* Attempted fix for #802, <hr> tag was not having newlines trimmed
	  after it

   2008-11-23 23:22  brian
	* Fix for #808, rebuild script not rebuilding all the threads

   2008-11-23 19:04  brian
	* Fixes for ticket #791, phorum 3 upgrade issues with character set

   2008-11-23 15:55  brian
	* Fix for ticket #766, Group moderation bug

   2008-11-19 15:05  mmakaay
	* Improved the JSON handling using the PEAR library on systems that
	  do not implement json_encode() and/or json_decode(). Thanks to
	  Phorum user "rasta" for the coding idea.

   2008-11-13 09:05  mmakaay
	* Reverted [3700]: allow_email_notify is a per-forum setting and not
	  a global settin. Therefore, the control center should not hide the
	  "follow+mail" option if email_notify is not enabled when loading
	  the control center page.

   2008-11-13 08:59  mmakaay
	* Hide the "follow + email" option from default follow mode
	  configuration in the user control center when email notifications
	  are disabled by the admin.

   2008-11-12 19:26  mmakaay
	* Removed content-type header from the smileys javascript code. It
	  is no longer needed now the javascript is incorporated from
	  javascript.php.

   2008-11-12 16:35  mmakaay
	* Suppress possible warnings from a file_exists() call in the Spam
	  Hurdles module.

   2008-11-07 12:39  ts77
	* ignore some more settings on inheritance (fixing #809, thanks to
	  _noe_ ) ...

   2008-11-07 12:29  ts77
	* fixed db-upgrade scripts for replicated setups (fixing #813,
	  thanks to Mathias)

   2008-11-07 12:23  ts77
	* added masterquery-flags to event-logging module (fixing #814,
	  thanks to Mathias for reporting and providing a patch)

   2008-11-07 12:03  ts77
	* removed the message about the closed thread in the read page in
	  case "reply on separate page" and added an error message in the
	  posting form instead of just redirecting (closing #817)

   2008-11-07 00:54  mmakaay
	* Obfuscate mail addresses that are displayed by the bbcode module.

   2008-11-06 21:50  mmakaay
	* Fixed the fallback-to-pear-json option in the JSON API code.

   2008-11-03 05:50  brian
	* Fix for #805

   2008-10-31 19:33  mmakaay
	* Fixed the PHP json extension detection code in case the json API
	  code was loaded from within a function. The fallback PEAR JSON
	  library would not be triggered if the json extension was missing
	  in the PHP setup.

   2008-10-26 16:08  brian
	* Added ability to add a user from the admin. Thanks to Azumandias
	  for the initial patch

   2008-10-14 07:40  mmakaay
	* Fixed a problem in the phorum_api_file_store() function call,
	  which could cause storing a file with a message or user to fail.
	  This had no effect on the existing core Phorum code by sheer luck,
	  but when using the API call, things might go wrong, depending on
	  the order in which the file info fields were stored in the $file
	  argument.

   2008-10-13 07:24  mmakaay
	* Fixed a problem in the BBcode module, which could cause the
	  "Activation of bbcode tags" section of the module's settings
	  screen to be empty.

   2008-10-06 10:13  ts77
	* removed "SET CHARACTER SET" query to solve some mysteries in
	  charset support (thanks to Chris who brought this up
	  http://www.phorum.org/phorum5/read.php?61,132926,132926 )

   2008-10-06 10:03  mmakaay
	* Fixed #806: possible XSS leak plugged. This was reported as a
	  security vulnerability, however we were never able to produce
	  anything more than broken HTML code. Since broken HTML code is not
	  good and because we are rather safe than sorry, this fix was
	  implemented.

   2008-10-04 08:55  mmakaay
	* Fixed "AND" based queries for
	  phorum_api_user_search_custom_profile_field(). Thanks to Phorum
	  user jjarvis98 for noticing the bug and to Azumandias for
	  providing the fix.

   2008-09-21 10:10  ts77
	* transferring template-arg through the urls (fixing #792), doesn't
	  work with search - essentially breaks search and needs checking
	  therefore

   2008-09-21 09:56  ts77
	* give a message about this being a moderated forum before
	  redirecting after posting (fixing #775)

   2008-09-02 12:13  mmakaay
	* Fixed the new release detection code. In the admin interface, new
	  releases were not detected by the "Check For New Version"
	  function.

   2008-09-01 09:55  mmakaay
	* Fixed #797: Undefined offset: 0 in api.php in case the message
	  started with a stale BBcode close tag. Thanks to Alexey Torkhov
	  for the problem report.

   2008-09-01 09:37  mmakaay
	* Fixed #796: Undefined index "mod_bbcode_tags" in BBcode module.
	  Thanks to Alexey Torkhov for the heads up.

   2008-09-01 07:41  mmakaay
	* Fixed the classic index style (directory browsing mode) for the
	  classic 0.4 template. It did not yet reflect a change in the
	  datastructures that we use for the index page in Phorum 5.2,
	  causing folders to not show up in that view.

   2008-09-01 06:33  mmakaay
	* Fix for #795: BBcode module needs to explicitly include api.php to
	  define the constants that are used in the settings page. Thanks to
	  Alexey Torkhov for the heads up.

   2008-08-27 12:57  ts77
	* building the list of forums to move a thread to in the same way as
	  the list of forums in the search form (fixing #729, thx to Oliver
	  Riesen)

   2008-08-27 10:09  mmakaay
	* Fixed #784: missing terminating ] for character class in
	  http_get.php.

   2008-08-23 18:31  mmakaay
	* Fixed #776: phorum_api_user_save() sets the password to "*NO
	  PASSWORD SET*" when calling the function twice (first time to
	  create a user, second time to update, both calls without using a
	  password in the user data). Thanks to Alexey Torkhov for finding
	  and reporting the issue.

   2008-08-22 22:55  mmakaay
	* Fixed #787: BBcode module: end of message end tags for some bbcode
	  tags were not processed correctly. The tag and the text that came
	  before the tag were duplicated at the end of the rendered message.

   2008-08-22 21:21  mmakaay
	* Added "@" as a safe character for the quoted printable encoding
	  requirement check. Otherwise, every mail address will be quoted
	  printable encoded, even if there are no special characters in it.

   2008-08-04 17:57  mmakaay
	* Phorum3 script updated for the new phorum_db_file_save() call in
	  Phorum 5.2. Thanks to Simon King who posted the patch in our
	  support forums.

   2008-07-22 07:23  mmakaay
	* Suppress output from the memcache cache layer for cases where
	  connecting to the memcached server fails. This prevents memcached
	  problems from breaking the page ("headers already sent".)
	  Additionally, the inline documentation was updated.

   2008-07-18 13:28  mmakaay
	* Fixed #772: possible corruption of serialized custom field data
	  (reported by Jonhoo).

   2008-07-15 18:11  brian
	* Fix for #731. Strip DESCRIPTION for search page

   2008-07-04 16:48  ts77
	* use display_name for reporter as suggested by Oliver Riesen
	  (fixing #761)

   2008-07-04 15:49  ts77
	* same date formatting in read templates as suggested by Oliver
	  Riesen (#749)

   2008-07-02 18:39  mmakaay
	* Fixed an incompatibility between file downloads with the "only
	  from this forum" restriction, in combination with URI
	  authentication. Before this fix, access for downloading the image
	  would be denied, even though the file was downloaded directly from
	  the forum. # Also a typo-fix-of-the-day change (learned that it is
	  "existent" :-).

   2008-07-01 14:30  mmakaay
	* Fixed a compatibility problem between the new BBcode module and
	  PHP versions prior to 5.1.0. The PHP function
	  htmlspecialchars_decode() is not available for those versions of
	  PHP. Thanks to Adam for noticing the problem and for providing a
	  work-around!

   2008-06-25 21:14  ts77
	* fixed undefined index in event_logger module (#748, reported by
	  Oliver Riesen)

   2008-06-25 21:07  ts77
	* stripped quotes from plain-text forum description as suggested by
	  Oliver Riesen (#743)

   2008-06-25 20:53  ts77
	* added line-height for thread options as suggested by Oliver Riesen
	  (#730)

   2008-06-25 20:20  ts77
	* made users tz_offset a float value for non-integer timezones

   2008-06-17 11:19  mmakaay
	* The "Force hiding of email addresses" option is now only
	  applicable to regular forum users. Administrators and moderators
	  can always see the email addresses of the users. For moderators,
	  this can be restricted by setting the PHORUM_MOD_EMAIL_VIEW
	  constant to false in include/constants.php. Some more fine grained
	  control for email address displaying will be added to Phorum 5.3.

   2008-06-16 10:15  ts77
	* quote anonymous authors with their name (fixing #744)

   2008-06-16 09:59  ts77
	* sort strictly by datestamp to get the recent_post (fixing #755)

   2008-06-16 09:32  ts77
	* added user's posts to edit screen (readonly), fixing #759

   2008-06-16 09:06  mmakaay
	* Another fix for #765: UTF-8 byte order markers at the start of
	  template files are now stripped by include/templates.php.

   2008-06-16 08:20  mmakaay
	* Fix for #765: catch the output of include files
	  (include/db/config.php, include/lang/* and
	  templates/*/settings.tpl) to prevent extra output like UTF-8 byte
	  order markers from breaking the pages.

   2008-06-13 18:28  ts77
	* case insensitive search for block tags in html module (fixing
	  #760)

   2008-06-05 00:21  mmakaay
	* Implemented some improvements for the Editor Tools module as
	  suggested by David King (phorum.org user "Optimal") and Oliver
	  Riesen. The behavior when adding tags using the buttons is now
	  much better. The textarea won't scroll up anymore if it is
	  scrolled downwards a bit and the text that was selected previously
	  to adding the tag will be reselected after adding the tag.

   2008-06-03 09:41  mmakaay
	* Fixed a bug in handling stale close tags that directly follow
	  another open or close tag. Thanks to CBiLL for the problem report.
	  The related error message was: Unsupported operand types in
	  [..]/bbcode/api.php

   2008-06-02 08:09  mmakaay
	* Fix for #762: moved pm_sent hook to always trigger the hook after
	  a sent PM. Before, it would not trigger if the PM mail
	  notification was disabled.

   2008-05-27 20:34  mmakaay
	* Improved handling of stale close tags in the text and fixed a PHP
	  undefined index warning along with it. Thanks to CBiLL for the
	  problem report.

   2008-05-25 22:58  mmakaay
	* MFT: # Undefined indexes fixed.

   2008-05-25 11:57  mmakaay
	* Added the conference 2008 rewrite release of the BBcode module to
	  the tree.

   2008-05-25 09:35  mmakaay
	* Added javascript_filter hook (for things like javascript
	  compression). Added a refresh=1 parameter for javascript.php to
	  let it ignore the cache.

   2008-05-19 15:51  mmakaay
	* The javascript.php script automatically loads the Ajax client
	  code, so modules can be sure that they can make use of it and
	  don't have to load it specifically. Templates can now contain a
	  "javascript.tpl", which is loaded in by the javascript.php code
	  automatically. This corresponds to the way that the CSS code works
	  (where you can create a "css.tpl").

   2008-05-13 03:51  ataylor
	* Added File Path block

   2008-05-08 15:00  mmakaay
	* Added a new API layer for handling JSON data (final goal: Ajax
	  layer)

   2008-05-08 14:56  mmakaay
	* Added a new API layer for newflags handling.

   2008-05-03 13:53  mmakaay
	* Backported the phorum_switch_template() function from trunk to
	  5.2. This new function makes it possible to switch the active
	  Phorum template to a template that is stored in any directory.
	  This is for example useful if a module includes a full Phorum
	  template, where the template is packaged with the module code.
	  With this new function, the Phorum can activate the module's
	  template without the need for the admin to copy the template to
	  the main templates directory.

   2008-04-29 16:41  mmakaay
	* Fixed #740: Mark read in folder (classic index) goes back to root
	  (thanks Oliver!)

   2008-04-29 16:03  mmakaay
	* Fixed #754: Display name filter was not included in pagination
	  (thanks Oliver!)

   2008-04-29 16:01  mmakaay
	* Fixed #738: problems with German help file for smileys module
	  (thanks Oliver!)

   2008-04-29 15:54  mmakaay
	* Fixed #757: Fixed typo in hook call for "posting_permissions"
	  (thanks Alexey)

   2008-04-17 15:24  ts77
	* use the correct default language for announcement conversion
	  (fixing #734)

   2008-04-03 08:42  mmakaay
	* Fixed #735: Added missing backslash in JavaScript code (thanks to
	  Oliver Riesen)

   2008-03-23 00:24  mmakaay
	* Fixed spam flagging by SpamAssassin for rule
	  SUBJECT_NEEDS_ENCODING. This prevents spam flagging of mail in
	  case the admin uses a name that contains special characters in the
	  "System Emails From Name" field. Encoding was implemented using
	  the Quoted-Printable description from RFC 2045.

   2008-03-21 11:25  mmakaay
	* Fixed spam flagging by SpamAssassin for rule FROM_BLANK_NAME
	  (From: contains empty name). This prevents spam flagging of mail
	  in case the admin did not fill in the "System Emails From Name"
	  field. This resulted in a header like: From: ""
	  <admin@example.com>

   2008-03-21 11:16  mmakaay
	* Fixed spam flagging by SpamAssassin for rule MSGID_FROM_MTA_HEADER
	  (Message-Id was added by a relay). This prevents spam flagging of
	  mail messages that are not sent for new message notification (for
	  those we already generated a Message-Id header).

   2008-03-19 19:24  ts77
	* clear html-description for profile page (fixing #723)

   2008-03-10 15:33  mmakaay
	* Fix for #712: Quote tag removes newline after first line. Thanks
	  to Alexey Torkhov for the bug report.

   2008-03-10 08:52  mmakaay
	* Fixed #717: User data doesn't get reloaded after profile edit.
	  Thanks to Alexey Torkhov for the bug report.

   2008-03-09 19:14  mmakaay
	* Fix for #716: Typo in the forums API code.

   2008-03-08 20:18  mmakaay
	* Fix for #715: Warning spamhurdles/settings.php:106: "Undefined
	  variable: warn"

   2008-03-08 20:15  mmakaay
	* Fix for #714: SQL error "Column 'user_id' in where clause is
	  ambiguous" in the Event Logging module, when filtering by user_id.

   2008-03-04 11:45  mmakaay
	* Fix for #709": PHP warning for undefined index "thread" in event
	  logging module (thanks to Alexey Torkhov)

   2008-03-03 21:35  mmakaay
	* Fix for #708: Dates in the admin interface were not shown in a
	  consistent way, because sometimes hard-coded date formats were
	  used.

   2008-03-03 03:50  mmakaay
	* Fix for #650: Make [url=mailto:...]...[/url] work in the bbcode
	  module

   2008-03-03 03:37  mmakaay
	* Fix for #704: phorum_relative_date() doesn't honor the timezone
	  settings

   2008-03-03 01:25  mmakaay
	* The Image API thumbnail code now generates JPEG thumbnails instead
	  of PNG. JPEG allows for better compression, resulting in smaller
	  images. When using PNG, the thumbnails are sometimes bigger in
	  filesize than the original images.

   2008-03-03 00:46  mmakaay
	* New hooks for the private message system: buddy_list, pm_list,
	  pm_read.

   2008-03-02 19:26  mmakaay
	* Fixed #706: Editor Tools module doesn't use constants for default
	  icon size. Thanks to Alexey Torkhov for the bug report.

   2008-03-02 19:20  mmakaay
	* Automatic processing of bare URLs and email addresses is made
	  optional through two new BBcode module settings (ticket #696,
	  thanks for the suggestion Alexey Torkhov).

   2008-03-02 17:29  mmakaay
	* Fixed #690: Harmless warnings from file cache layer should now be
	  suppressed.

   2008-02-29 14:35  mmakaay
	* Fixed a bug in the username restrictions module. It was not
	  possible to set a minimum length in combination with no maximum
	  length. The maximum length was set to the minimum length in this
	  case. Thanks to Lammi41 for the bug report and the patch.

   2008-02-28 14:30  mmakaay
	* Implemented a hook call "page_<phorum_page>" that can be used to
	  run a "common" hook for specific pages only (e.g. "page_index",
	  "page_pm", etc.)

   2008-02-25 12:16  ts77
	* fixed double escaping of the excerpt in search results

   2008-02-24 19:18  ts77
	* applied change from [2827] to atom feed and fixing double escaping
	  of subject (fixing #686, thanks to Alexey Torkhov)

   2008-02-19 11:57  mmakaay
	* Fixed #692: the control center and private message pages no longer
	  show the forum descriptions (thanks to James Revillini for the bug
	  report). Additionally, the heading for the private messages pages
	  was set to a better value.

   2008-02-19 08:53  mmakaay
	* Added a comments field to the banlist items, based on a patch that
	  was provided by James Revillini. Thanks James!

   2008-02-18 13:06  ts77
	* added options for port and socket to database configuration and
	  the appropriate layers and documentation (#683, thanks to Alexey
	  Torkhov)

   2008-02-18 11:46  ts77
	* fixed layout for pm_list_incoming.tpl, (#699, thanks to Alexey
	  Torkhov)

   2008-02-17 14:04  ts77
	* added page argument to print view link so that it shows the page
	  you are at in print view (fixing #695, thanks to Alexey Torkhov)

   2008-02-16 17:07  ts77
	* only allow template selection through url if not set to fixed view
	  (fixing #693, thanks to Alexey Torkhov)

   2008-02-16 16:50  ts77
	* added format_fixup hook to announcements module too (fixing #694,
	  thanks to Alexey Torkhov)

   2008-02-11 22:23  mmakaay
	* Added a fix for making the database install code work for the Spam
	  Hurdles module work in MySQL strict mode. Thanks to phorum.org
	  user "shaneshack" for finding and reporting the problem!

   2008-02-09 23:28  mmakaay
	* Fixed #688: Changed {URL->MARKREAD} to {URL->MARK_READ} in the
	  classic template (thanks to Alexey Torkov).

   2008-02-06 01:18  mmakaay
	* Fixed the subject bad word censoring checks. The checks were run,
	  but the outcome was stored in the wrong variable.

   2008-02-05 19:37  mmakaay
	* Fix for the database layer to correctly process MySQL error code
	  1582, which was temporarily implemented in the MySQL server
	  (versions 5.1.15 up to 5.1.20). This error code has been reverted
	  to the original error code 1062 in the fix for MySQL bug report
	  #28842. Unfortunately we have to add this work around to Phorum
	  for this now. References: -
	  http://dev.mysql.com/doc/refman/5.1/en/news-5-1-20.html -
	  http://bugs.mysql.com/bug.php?id=28842

   2008-01-25 17:37  brian
	* Added the direct link to the message for each message in flat and
	  hybrid view for easy copy and paste.

   2008-01-18 12:31  mmakaay
	* Fix for #675: Wrong variable use for "place it in ...." text.

   2008-01-18 12:28  mmakaay
	* Fix for #675: "Post" and "SaveChanges" not recognized by language
	  admin tool.

   2008-01-18 12:11  mmakaay
	* Change "onchange" event for "Follow topic" checkbox to "onclick"
	  to work around a problem with MSIE7 not visibly acting on checkbox
	  changes (event bubbling seems to be halted for "onchange" in
	  MSIE7, thanks MS!)

   2008-01-18 11:20  mmakaay
	* Fixed a bug that was reported by charliemc86: enabling the option
	  "Ignore Admin for moderator-emails" had no effect. Administrators
	  would still get moderation email messages. Thanks Charlie!

   2008-01-07 21:28  ts77
	* MFH: fixed possible sql-injection in non-fulltext search (not
	  enabled by default)

   2007-12-30 11:07  ts77
	* made breadcrumbs urls default to index-url instead of list and
	  added option for rebuilding forum-paths to the admin (thanks to
	  Berti)

   2007-12-24 13:26  mmakaay
	* Fix for #640: Suppress some more possible error messages from file
	  cache layer.

   2007-12-24 11:21  mmakaay
	* Fix for #634: Descriptions in the header were HTML stripped, but
	  that is only needed for the meta description. A new template
	  variable {HTML_DESCRIPTION} was introduced, which contains the
	  unstripped version of the description.

   2007-12-24 10:43  ts77
	* adding parameter to avoid populating the search table (e.g. in
	  case an alternate backend is used), thanks jefft, closing #667

   2007-12-24 10:31  mmakaay
	* Fix for #649: An empty feed is now provided if no forums are
	  readable. # In 5.2, an empty valid feed was already provided if
	  there were no messages # in a forum, but an empty document was
	  returned if no forums were readable. # Since the recent messages
	  code does handle permission checking, we can # safely remove the
	  read permission checks from the start of the feed.php code.

   2007-12-24 09:55  mmakaay
	* Fixed #669: Strip illegal ASCII control characters from XML feed.

   2007-12-15 17:39  ts77
	* breadcrumbs in template are now generated from the forum-path
	  stored and not hacked together

   2007-12-15 16:24  ts77
	* fixed classic-template search

   2007-12-14 11:01  mmakaay
	* Implemented a template define {DEFINE tidy_template <value>}. This
	  variable determines whether tidying has to be done on the compiled
	  template code. The <value> can be one of: 0 - Apply no compression
	  at all. 1 - Remove leading and trailing white space and fully
	  delete empty lines. 2 - Additionally, remove some extra unneeded
	  white space and HTML comments. # This option is implemented as a
	  template setting and not as a global # configuration setting, to
	  prevent broken templates if for some reason # the tidying process
	  cripples the template code. This way, the settings # can be
	  different per template.

   2007-12-12 23:14  mmakaay
	* Added an option "Disable automatic displaying of the
	  announcements?" to the announcement module. With that option
	  enabled, the admin can determine for himself at what exact spot in
	  the templates the announcements are visible by adding the
	  {MOD_ANNOUNCEMENTS} template code to them.

   2007-12-11 19:08  ts77
	* fixed attachments in read_threads.tpl (fixing #663, thx to
	  stevehealy)

   2007-12-08 13:57  mmakaay
	* MFT: # Some small fixes for correctly falling back to the default
	  template.

   2007-12-06 11:12  ts77
	* added charset definition to create-table statements and
	  connections

   2007-11-30 00:08  mmakaay
	* MFH # Documentation navigation for phorum.org online
	  documentation.

   2007-11-25 17:46  mmakaay
	* MFT: # Make floating objects in a quote work correctly. Also only
	  style the MFT: # direct child of a bbcode quote div, so divs
	  within quote aren't mangled.

   2007-11-17 11:54  ts77
	* localized smileys-help button (fixing #655, thx Regdos)

   2007-11-02 16:28  mmakaay
	* Fixed css code.

   2007-11-02 12:36  mmakaay
	* Modules can now register for adding additional CSS code to the
	  base Phorum CSS code using the module system. This way, we can
	  prevent the need to either add additional <link>s for CSS to the
	  pages (more file downloads per page) or add additional CSS code to
	  the <head> section of the pages (more data to download per page).
	  The resulting CSS code is cached and the last modified
	  functionality is used to not let browsers download the CSS code if
	  nothing changed.

   2007-10-29 04:35  brian
	* fixed mod_tidy to not step on pre and xmp tags

   2007-10-28 22:30  mmakaay
	* Implemented multiple RSS links in the page headers, to provide RSS
	  links for both feeds containing topics and feeds containing topics
	  + replies.

   2007-10-22 17:02  mmakaay
	* Added Turkish language file.

   2007-10-19 17:13  ts77
	* added first shot of a master/slave layer (experimental)

   2007-10-11 21:48  mmakaay
	* Speed improvements for phorum_db_get_recent_messages().

   2007-10-08 15:15  mmakaay
	* Added a new forum option "Count views per thread for non-threaded
	  list views". This feature can be used to keep track of a global
	  view counter for each thread. If enabled, the flat message list
	  view will show that global thread view counter instead of the view
	  counter for the first message of the thread. Note that this
	  requires an extra database update for each view, so you might now
	  want to enable this on very busy forums.

   2007-09-25 23:27  mmakaay
	* Improved handling of followed threads in case email notification
	  is disallowed for a forum.

   2007-09-25 21:00  mmakaay
	* Reduce redir time.

   2007-09-25 20:51  mmakaay
	* Fixes.

   2007-09-20 14:07  mmakaay
	* Fixes #640: @ in front of rmdir/unlink to prevent warnings on race
	  conditions.

   2007-09-15 23:39  mmakaay
	* Fixed a local file inclusion security hole as reported by
	  kernelnewbies.org. Also went over the full code and added strict
	  inclusion prevention code for all include statements.

   2007-09-13 09:15  mmakaay
	* Partly fixed #625: "Undefined offset: 1" warnings should no longer
	  occur now.

   2007-09-12 07:40  mmakaay
	* Fixed #626: undefined index warning in versioncheck.php

   2007-09-10 23:49  brian
	* Working solution for faster new indicators and counts on index.
	  Includes new moved field in messages table instead of old methods
	  for marking move notices.

   2007-09-08 12:48  mmakaay
	* Fix for #602 : make displaying of newflags conditional

   2007-09-03 14:29  mmakaay
	* Implemented a new hook "cc_panel", which can be used to build
	  extra cc panels from a module, without having to copy script files
	  into the Phorum tree. This one goes along nicely with the
	  tpl_cc_menu_options_hook and tpl_cc_menu_moderator_hook hooks.

   2007-08-23 09:01  mmakaay
	* Fixed #618: recovering password didn't work: used a deprecated
	  function call

   2007-08-18 12:31  ts77
	* removed meta-description in search-pages (#616)

   2007-08-18 12:28  ts77
	* fixing phorum_check_read_common for global handling of OKMSG
	  (#613)

   2007-08-18 12:24  ts77
	* fixed the bbcode feature-names so that they can be really enabled
	  (#614)

   2007-08-17 12:36  mmakaay
	* Implemented new CAPTCHA type: reCAPTCHA
	  (http://www.recaptcha.net/). # Checking of the captcha answer is
	  now done from the captcha objects # (new method check_answer()).
	  Before, we had a generic piece of code # in the spamhurdles.php
	  module script. This is done to be able to # implement the
	  non-standard answer check that is needed for reCAPTCHA.

   2007-08-10 04:02  brian
	* fixed notice about $_POST["username"]

   2007-08-09 07:00  mmakaay
	* Fixed problem with losing the forum_id when searching.

   2007-08-05 04:49  brian
	* Added new option for a new message indicator on index page. Its
	  much faster than new counts

   2007-08-04 18:37  brian
	* New hook after_message_save

   2007-07-26 18:07  ts77
	* take "Allow Template Selection" into account while choosing the
	  template to use (fixing #603)

   2007-07-21 21:08  brian
	* Fixed IE issue in ticket #594

   2007-07-21 21:03  brian
	* Fix for ticket #591

   2007-07-21 20:58  brian
	* Fix for ticket #597

   2007-07-21 20:50  brian
	* adding start of lightweight template

   2007-07-21 20:49  brian
	* adding start of lightweight template

   2007-07-16 11:16  ts77
	* moved to swiftmailer for mail-sending by SMTP also through
	  SSL/TLS. Requirement is PHP5 now.

   2007-07-16 11:10  mmakaay
	* Allow for email notification enabled as default install option.

   2007-07-13 20:46  ts77
	* added option to mark-thread-read from list (through patch from
	  Mathias in #579)

   2007-07-10 17:44  mmakaay
	* Fix for #583: pointy brackets were accidentally added twice in the
	  msgid header

   2007-07-10 02:02  brian
	* New, faster phorum_get_url function and URL fixes

   2007-07-09 23:51  brian
	* fixed sorting threads with missing nodes

   2007-07-07 20:38  mmakaay
	* Fix for #580: $PHORUM['SETTINGS'] is filled but (almost) not used
	  in the core. We removed references to $PHORUM['SETTINGS'] and do
	  not fill it anymore from the database layer.

   2007-07-07 19:33  ts77
	* added asking for original password on changing password in
	  controlcenter (by patch from Edward Z. Yang in #576)

   2007-07-07 16:37  brian
	* Added announcement conversion script for 5.2

   2007-07-06 22:22  mmakaay
	* Improved switching between user selected templates. The new
	  template is now displayed immediately. Also fixed a bug with
	  handling of user templates that are set to no longer existaning
	  templates (Phorum would fall back to the default template, but
	  things like images and other items depending on the template name
	  would point to the user template name).

   2007-07-06 10:59  mmakaay
	* Made a large sweep through the code to add a charset to all
	  appropriate htmlspecialchars() calls in the code. They now all
	  make use of a new language file variable
	  $PHORUM['DATA']['HCHARSET']. This one can be set different from
	  the CHARSET, to prevent spawning of PHP warnings, because of
	  unsupported character sets. If HCHARSET is empty, then Phorum will
	  automatically use the standard CHARSET for htmlspecialchars().

   2007-07-03 09:13  ts77
	* only invalidate newflag cache if there were really new read
	  messages (fixing #578, reported and patch by Mathias)

   2007-07-01 12:08  mmakaay
	* Fixed phorum.org link in the doc navigation.

   2007-06-30 20:41  mmakaay
	* Fixed #572, reported by Edward Z. Yang.

   2007-06-30 20:30  mmakaay
	* Fixed #572, reported by Edward Z. Yang.

   2007-06-30 20:25  mmakaay
	* Fixed #571 (bug for cache sanity check on win2000), reported by
	  Edward Z. Yang.

   2007-06-30 20:09  mmakaay
	* Fixed #564 (reported by Edward Z. Yang) and a couple of other
	  similar bugs.

   2007-06-20 21:27  ts77
	* adapting email-notify defaults to new posting form

   2007-06-14 22:23  mmakaay
	* In the admin general settings, there's a new option "Put file name
	  in pathinfo for file download URLs". If this option is enabled
	  (disabled by default), then pathinfo will be added to file
	  download URLs, to trick browser into using the correct filename
	  when downloading Phorum files through file.php (normally, "Save as
	  ..." would result in the default save file name "file.php"). Note:
	  this feature requires a webserver which understands pathinfo in
	  the URLs. Most webservers do as far as I know.

   2007-06-08 06:40  brian
	* Modules can be enabled at install time now

   2007-06-08 05:38  brian
	* Added end_output hook, documented start_output and end_output and
	  added mod_tidy that uses those hooks

   2007-06-07 13:53  ts77
	* added global option to hide email-addresses (#559)

   2007-06-04 23:06  mmakaay
	* No longer in use.

   2007-05-28 13:06  mmakaay
	* Fix for #558: on posting and editing messages, the form now
	  contains a "Follow thread" checkbox. If that box is checked, then
	  a related checkbox is shown for "Email me about replies to this
	  topic". This way, the user has full control on how to follow
	  thread at post time and follow options do no longer get lost
	  sometimes when editing messages.

   2007-05-27 09:54  mmakaay
	* PM user not found message is now fixed correctly.

   2007-05-27 09:16  mmakaay
	* Fixed a XSS bug in the user moderation script.

   2007-05-26 20:25  brian
	* Moved all template output to common function for control. Added
	  new start_output hook

   2007-05-26 19:39  brian
	* must shorten author part of key for UTF8 users

   2007-05-26 18:47  brian
	* Added shutdown function for future use and a shutdown hook

   2007-05-24 19:23  mmakaay
	* Oops... INTs should have had a zero default,

   2007-05-21 16:55  ts77
	* added a new sanity check for module filenames. fixing #416

   2007-05-15 21:36  mmakaay
	* Made the phorum_hook calls conditional, which should speed up
	  execution time for system that do not use the hooks. Here's a
	  quick benchmark between 1000 conditional and unconditional calls:
	  conditional: 0.0022 sec, unconditional: 0.1079 sec. This probably
	  won't cause a drastic speed improvement, but it's an easy way to
	  speed up execution time for hooks that are not in use by any
	  module.

   2007-05-14 09:43  mmakaay
	* Cleaned up the timing code from the thread sorting code.

   2007-05-08 21:50  ts77
	* added hook for modifying default search settings

   2007-05-08 00:36  mmakaay
	* First version of a Phorum C extension for speeding up tasks by
	  means of pure C-code. The extension should never be mandatory. It
	  should only provide fast and light weight alternatives for the
	  pure PHP-code solutions. # The first function that is targeted by
	  this module is # tree sorting. This isn't fully finished yet, but
	  the basic # sorting algorithm is working by reordering a message
	  array # in place.

   2007-05-05 11:27  mmakaay
	* Added the "Show in user admin" option to the custom profile field
	  admin screen and wrote some additional help for that screen.

   2007-05-05 10:55  mmakaay
	* Moved real_name from a custom profile field to a real user table
	  field. # Note: we have to be aware of XSS issues with this one,
	  because it was an # auto-escaped profile field. But I think I
	  found all (core) occurrances # in which this might be an issue.

   2007-05-04 22:36  mmakaay
	* Created a custom profile field API. Updated the admin custom
	  profile fields script to make use of this API. Also implemented a
	  new way of deleting custom fields. If an admin accidentally
	  deleted a field, then he can create a new field with the same
	  name, which will give him the choice of restoring the deleted
	  field or creating a fully new field. The rest of Phorum has to be
	  investigated to see where the new delete system has impact (a
	  couple of changes are probably needed).

   2007-05-04 17:22  brian
	* Fixed bug #547

   2007-05-02 15:22  mmakaay
	* Announcements module is in Phorum trunk

   2007-05-02 11:37  mmakaay
	* Fixed search bug: when selecting specific forums to search: Fatal
	  error: [] operator not supported for strings in search.php on line
	  61.

   2007-05-01 13:18  mmakaay
	* Moved the new database layer code to be the primary database
	  layer. The mysql.php layer now automatically detects the mysql PHP
	  extension to use. The config.php can be used to override the
	  automatic detection mechanism.

   2007-05-01 01:59  mmakaay
	* Ported the new search code over to the new db layer and fixed a
	  couple of bugs in the code.

   2007-04-30 19:05  mmakaay
	* Created a file storage layer API, which handles storing files
	  (personal files for users and attachments for messages). This
	  layer should make it very easy to implement different file storage
	  systems by means of a module. This layer is still work in
	  progress. There are probably a few more file related functions
	  that can go in this file storage API. I also started on an idea
	  for providing a real Phorum API, by moving generic code from the
	  front end scripts to API libraries. The goal that I have in mind
	  for this is to make it possible to add additional API's (like Ajax
	  and SOAP) to Phorum, without having to write API code that copies
	  loads and loads of the core code from the front end scripts. A
	  structured and documented API for Phorum should also provide
	  better and stable support for module writers. The API code can be
	  found in include/api/*.

   2007-04-27 23:28  ts77
	* added banlist-caching

   2007-04-27 01:58  ts77
	* added minimum required version for modules (closing #521)

   2007-04-27 00:53  brian
	* Added edit tracking and ability to show changes to a message over
	  time

   2007-04-26 21:45  ts77
	* added changes for printview closing #153

   2007-04-26 15:45  mmakaay
	* A stress test script, which can be used to add lots of users and
	  messages to the database for mass testing. This is a developer
	  tool only.

   2007-04-26 07:13  brian
	* Rewrote search engine. Added forum selection, ability to search
	  for authors and keywords in one search and showing results as
	  threads or messages

   2007-04-25 22:18  ts77
	* added possibility to delete multiple/all messages at once in the
	  unapproved messages panel

   2007-04-25 07:28  brian
	* Fixing #540

   2007-04-25 07:00  ts77
	* added building the forum-path in the admin ("fixing" #213)

   2007-04-25 05:40  brian
	* Fixed #412

   2007-04-25 05:35  brian
	* Fully implemented read only mode

   2007-04-25 00:17  brian
	* Added required cookie mode

   2007-04-24 22:33  brian
	* Fixed feed.php issues in ticket #422

   2007-04-24 21:23  brian
	* Added connection handle to mysql_error. Ticket #542

   2007-04-15 11:11  mmakaay
	* Implemented a new hook: failed_login. This hook can be used for
	  tracking failed login attempts.

   2007-04-13 11:18  mmakaay
	* Fix for #500: Get rid of die() statements, in favor of
	  trigger_error().

   2007-04-13 10:40  mmakaay
	* Fix for #531: PM preview did not show message formatting.

   2007-04-11 15:08  mmakaay
	* Allow for a button container in the template with id=editor-tools

   2007-04-11 09:41  ts77
	* "MFB: # initializing maildata-arr"

   2007-04-10 20:44  mmakaay
	* Fixed the phorum_db_sanitize_mixed() function to work correctly
	  with PHP4.

   2007-04-10 19:21  brian
	* Fixed minor issue using get methods to delete items in admin.
	  Found by Janek Vind (waraxe)

   2007-04-10 18:34  brian
	* Fix for Opera javascript redirect issue and response splitting in
	  IE for old versions of PHP

   2007-04-07 01:24  mmakaay
	* Typo fixed

   2007-04-07 00:54  mmakaay
	* New MySQL database layer. The main difference with the existing
	  database layers is that in this layer the real database
	  interaction functionality is limited to a single function. Porting
	  the layer to other databases should be less work due to these
	  changes. # Note: there are a couple of TODO: remarks in the code
	  with some ideas # and things to look at. We should also look if we
	  can bring the used # SQL as much as possible to ANSI SQL (unless
	  performance would suffer # of course).

   2007-04-06 11:47  ts77
	* "MFB: adding htmlspecialchars to hidden fields in the admin to fix
	  some XSS-issues in the admin reported by Janek Vind 'waraxe'"

   2007-04-05 15:28  ts77
	* "MFB: fixed path disclosure in admin. Reported by Janek Vind
	  'waraxe'"

   2007-04-05 15:25  ts77
	* "MFB: fixed priviledge escalation for moderators. Reported by
	  Janek Vind 'waraxe'"

   2007-03-28 19:59  brian
	* Fixed password changing issue reported in chat

   2007-03-26 23:23  brian
	* Fixed sql injection that could expose user data. Reported by Janek
	  Vind 'waraxe'

   2007-03-22 10:40  mmakaay
	* Some extra safety in the metaquery code

   2007-03-21 02:33  mmakaay
	* Added option for an IS (NOT) NULL query in the metaquery code

   2007-03-19 03:45  brian
	* Updated markdown module to do its own quoting per ticket #530

   2007-03-17 13:14  mmakaay
	* Implemented a new upgrade system, which makes use of two versions
	  internally. One for the main database schema version and one for
	  the database schema patch level. This system solves some problems
	  that we have with the current upgrade system in case we are doing
	  upgrade to both a stable and a development version of Phorum. See
	  also phorum.org's development Wiki for more info on the design of
	  the new upgrade system. I also put the table upgrade function
	  inside include/version_functions.php, so both the console and the
	  web upgrade scripts can make use of it. The console script was
	  also updated to request user input for performing upgrade actions.
	  This is similar to the way in which the web interface works now.
	  This is especially good in case there are errors. # Important note
	  for upcoming db upgrades: # Mind that for 5.2, the system will be
	  more or less up-side-down in use, to # be able to get it
	  bootstrapped in conjunction with 5.1. There can still # be
	  database upgrades for 5.1. These can be put in the 5.1 tree in the
	  same # way as we always did. We also put them in the standard
	  schema upgrade tree # for 5.2. This way, the two trees can fully
	  match and there's no problem # in upgrading between the versions.
	  Changes which only go in 5.2 though, # are not allowed in the
	  schema upgrades! These have to be put in the 5.2 # patch upgrade
	  tree instead, so they won't collide with the standard upgrades. #
	  Because 5.1 does not contain patches, all these 5.2 patches will
	  be run # when upgrading to this version. # # After 5.2 goes stable
	  and we start with 5.3 development, we can fully # follow the rules
	  for the new schema/patch upgrade system. # # Note: # Within the
	  rules of the upgrade system it is fine to always run all # patch
	  level upgrades prior to the schema upgrades (because patches imply
	  # that older versions of Phorum are patched too, which means that
	  all # the patches should be able to run on the last schema upgrade
	  version for # the oldest patched version of Phorum. We have to
	  beware that with the # above up-side-down system, this might not
	  be the case. If we ever write # a 5.1/5.2 schema upgrade which
	  should be executed before a 5.2 patch # to work, then we have to
	  change the logic of the upgrade system. It then # has to collect
	  all patches + schema upgrades and sort them, so all # changes are
	  run in upgrade version order. I don't suspect this will be # the
	  issue though, since no large database upgrades are to be expected
	  # for 5.1 anymore. # # Fixing the internal version: # This patch
	  also reverts the internal version of 5022006090700, which was #
	  set to this value as a different attempt to fix the difficulties.
	  For 5.2 # systems that already run this internal version, the
	  following query will # bring the system back in line (mind to use
	  the correct table prefix): # UPDATE phorum_settings SET
	  data='2007010000' WHERE name ='internal_version'; # This will
	  trigger a db upgrade and after that followup upgrades must be #
	  picked up again. # # How to test the upgrade system: # If you want
	  to test the patch/schema upgrade system with the currently #
	  available upgrades, then it's safe to run the above query, plus
	  the following # one to bring the system into a patch + schema
	  upgrade state: # DELETE FROM phorum_settings WHERE name =
	  'internal_patchlevel';

   2007-03-14 10:45  mmakaay
	* Smileys update, fixing #511

   2007-03-08 17:16  ts77
	* "XSS fix for target-uri"

   2007-03-08 16:53  ts77
	* made announcements work with vroots (#519)

   2007-03-05 11:27  mmakaay
	* Added an extra option to the offsite linking permissions, which
	  allows for linking uploaded files from the same web site. The
	  admin can now choose from "Only from the forum", "From this web
	  site" and "From any web site".

   2007-02-23 02:15  mmakaay
	* Fixed a bbcode quote tag bug (#524).

   2007-01-30 06:36  brian
	* Fixed non-escaped username in group moderation

   2006-11-27 14:24  ts77
	* added before_delete hook (fixing #490)

   2006-11-27 13:44  ts77
	* "using the thous_sep from lang-file for post-numbers (fixing
	  #225)"

   2006-11-26 17:00  ts77
	* more clear view names for threaded/flat and index (fixing #296)

   2006-11-25 23:32  ts77
	* some more work on the rebuild panel, adding more rebuild functions
	  and renaming it to database integrity

   2006-11-22 16:30  brian
	* This is a fix for ticket #498. The initial profile fields were not
	  getting set correctly.

   2006-11-21 04:07  brian
	* Clarification to docs made as recommended in ticket #349.

   2006-11-21 03:38  brian
	* This is a fix for ticket #502.

   2006-11-21 03:32  brian
	* This is a fix for ticket #498. The initial profile fields were not
	  getting set correctly.

   2006-10-11 17:14  ts77
	* rebuild panel for rebuilding forum-stats and meta-data (closing
	  #488)

   2006-10-09 15:58  mmakaay
	* Added a system checking step to the installation, which runs the
	  sanity checks. Sanity checks now get an extra parameter, which
	  tells if they are being run from the install script. Checks which
	  do not have to be run at all at install time, can now return
	  PHORUM_SANITY_SKIP. Doing so will keep them from being displayed
	  in the checks overview. The installation will not continue as long
	  as there are critical errors. The admin can choose to ignore
	  warnings and continue installing.

   2006-10-02 20:16  mmakaay
	* Added sanity check for checking if all important Phorum files are
	  available

   2006-10-02 15:07  ts77
	* defining some fields in the forum-settings as "string only" to
	  avoid errors, fixing #321

   2006-10-02 14:43  ts77
	* adding the possibility to edit module settings while they are not
	  enabled, fixing #476

   2006-10-02 14:36  ts77
	* added maxlength to the text-boxes for folder/forum name - fixing
	  #322

   2006-10-01 17:03  ts77
	* "MFB: # strip session-uris from report-urls"

   2006-09-26 21:13  ts77
	* "MFB: # move the cache-layer up for the common_pre-hook"

   2006-09-13 20:11  brian
	* Multipe parameters can now be passed to module functions. However,
	  on the first can be returned. The additional parameters are for
	  information only.

   2006-09-13 16:16  brian
	* Non-FullText searching was not using the date option. See ticket
	  #397

   2006-09-13 14:05  mmakaay
	* Displaying of the intermediate 'Search is running' page is now
	  optional

   2006-09-11 10:49  ts77
	* added cache-panel in the admin for all cache-related settings (is
	  still missing the settings for the selected layer)

   2006-09-07 15:25  mmakaay
	* Purge cache added to maintenance tools for purging cache and
	  compiled templates

   2006-09-07 09:43  mmakaay
	* Added a meta-like field to the user for storing dynamic settings

   2006-09-06 15:17  ts77
	* "MFB # update only the display-order on moving around, could lead
	  to inherit-problems otherwise"

   2006-09-06 13:04  mmakaay
	* The followed threads in the control center display newflags too
	  now

   2006-09-06 11:59  ts77
	* "MFB: # don't set the forum-id on adding a new forum"

   2006-08-27 12:47  ts77
	* added new hook email_user_start

   2006-08-23 12:16  mmakaay
	* addon.php allows for addon scripts that are implemented using a
	  module

   2006-08-21 22:32  mmakaay
	* New feature for supporting a templates directory inside a module
	  directory. By specifying a template name as <module>::<page>, the
	  template system will look for the template file in the following
	  path: ./mods/<module>/templates/<template>/<page>.tpl (or
	  <page>.php)

   2006-08-16 19:55  ts77
	* added option to show selected custom fields in the user-admin

   2006-08-16 11:25  mmakaay
	* Added signing of editor form data to prevent data tampering

   2006-08-08 02:39  brian
	* added default settings to install for new admin options

   2006-07-19 20:38  ts77
	* "MFB: # corrected index for read rss (fixing #350)"

   2006-07-12 22:05  ts77
	* added hook for using an own search backend in the search page

   2006-07-12 21:27  brian
	* new templates working on CC now

   2006-07-12 20:58  ts77
	* added newflag caching

   2006-07-08 00:28  mmakaay
	* Implementation of module / hook priorities, which can be used to
	  change the order in which module hooks are run. Extra statements
	  can be put in the module info now. Possible statements are: -
	  priority: load module before|after * - priority: load module
	  before|after <othermodule> - priority: run hook <hookname>
	  before|after * - priority: run hook <hookname> before|after
	  <othermodule> When sorting modules and hooks, the priorities are
	  processed in this order.

   2006-07-06 15:29  brian
	* Fixed non-fulltext searching for exact phrases. Ticket #367

   2006-07-04 09:46  ts77
	* "MFB: sanity checking of page var. avoiding error-messages (fixing
	  #382)"

   2006-06-19 20:18  ts77
	* "MFB: don't try replacements in rss if none are defined (fixing
	  #375)"

   2006-06-17 13:40  ts77
	* added option to bbcode mod to show full urls instead of shortened
	  ones.

   2006-06-14 22:48  ts77
	* "new hook for using a mod for authentication and synchronization"

   2006-06-14 14:43  ts77
	* "MFB: # added a hook on logout before the session is destroyed"

   2006-06-14 13:16  ts77
	* "MFB: # set the date last active on update too"

   2006-06-04 16:12  ts77
	* "MFB: added script for rebuilding meta-data"

   2006-06-02 15:12  ts77
	* "MFB: added badwords-check to rss-feeds, thanks to andrew levine (
	  http://www.phorum.org/phorum5/read.php?14,113109 ) "

   2006-06-02 15:04  ts77
	* "MFB: checking badwords in strip_body too. gets into effect in
	  many places, should solve bad-words in quoted text too (#325),
	  thanks to andrew levine (
	  http://www.phorum.org/phorum5/read.php?14,113172 )"

   2006-06-02 14:54  ts77
	* "MFB: catching error-condition in reporting, should fix #353"

   2006-06-02 14:20  ts77
	* "MFB: # another take in min_id for first visit"

   2006-05-26 20:37  ts77
	* "MFB: # small fix for min_id on first visit"

   2006-05-18 15:33  ts77
	* "MFB: # add the missing define for avoiding \"looks like you
	  installed ...\" messages"

   2006-05-10 16:01  brian
	* MySQL non-ft searches were showing results from hidden forums.

   2006-04-12 21:44  brian
	* bbcode [img] tag now puts border=0 on image tags as well as an alt
	  tag.

   2006-04-12 21:28  brian
	* too much removed in [1001]

   2006-04-11 17:46  ts77
	* "MFB: # adding back a line of code gone missing in last commit to
	  that file (thx to O.Riesen)"

   2006-04-09 10:51  mmakaay
	* {include ..} has been changed and {include_var ..} has been
	  deprecated. {include ..} can now take both variables and page
	  names, by using {include "page"} and {include VARIABLE}. So that
	  last on replaces include_var.

   2006-04-08 15:01  ts77
	* "MFB: fixing a problem on windows platforms where checkdnsrr is
	  not implemented"

   2006-04-08 14:28  ts77
	* added printview-patch from Oliver Riesen

   2006-04-07 22:39  mmakaay
	* Added document that tracks how to upgrade templates from 5.1 ->
	  5.2

   2006-04-07 21:55  mmakaay
	* {var ..} and {assign ..} are now identical. Both take the new
	  value format. The format of the value to assign can be numerical
	  (1), string ("my string"), php definition (mydefine) and other
	  template variables (USER->username).

   2006-04-07 09:59  mmakaay
	* New template processing code which uses a two-pass processing
	  method. In pass one, all {include ..} statements are resolved, so
	  at the end of this pass, we have a full single template. In pass
	  two, all other template statements are converted to PHP code. This
	  was done to work around some problems with template files that are
	  included inside loop statements (determining the use of the DATA
	  or TMP index failed there). Also, some more documentation was
	  added to the code.

   2006-04-07 09:49  mmakaay
	* Added a new function: phorum_get_template_file(), which is used
	  for retrieving input and output filenames for a given template
	  name. Changed phorum_get_template() to use
	  phorum_get_template_file() and a new version of
	  include/templates.php.

   2006-03-22 12:01  mmakaay
	* Added the signature to the message preview when posting a forum
	  message

   2006-03-10 22:40  brian
	* keep version as 5.1-dev and change it in tags

   2006-03-10 21:41  mmakaay
	* Fixed #289: duplicate page header shown on read page with the
	  forum in r/o mode

   2006-03-10 12:17  mmakaay
	* Fix for #288: editing puts back mail address of registered users
	  into the post

   2006-03-07 09:19  ts77
	* made two different variables for signature in control panel. one
	  for formatted one and one for the htmlescaped one. fixing #254

   2006-03-06 22:51  ts77
	* "fixing new pm-flag with user-caching enabled, fixing #281"

   2006-02-21 12:49  dvl
	* Change from INSERT SET to INSERT VALUES

   2006-02-16 12:34  mmakaay
	* Fix for updating posts with single quotes in subj/body (resulted
	  in SQL error)

   2006-02-13 20:51  mmakaay
	* Fix for #267: sending a PM with a subject only containing spaces
	  is now rejected

   2006-02-12 18:19  ts77
	* fixed search-escaping and missing search-table inserts (#261)

   2006-02-12 18:12  ts77
	* "fixed author search (#262)"

   2006-02-08 16:32  mmakaay
	* Made the notification message for PM faster, by using
	  phorum_db_pm_checknew(). Beware that this change inflicts a
	  template change. Instead of the variable {PRIVATE_MESSAGES->new},
	  the variable {NEW_PRIVATE_MESSAGES} has to be used. Before,
	  {PRIVATE_MESSAGES->new} contained the number of new messages,
	  while now {NEW_PRIVATE_MESSAGES} contains a value that indicated
	  whether there are new messages or not.

   2006-02-08 16:29  mmakaay
	* Added function phorum_db_pm_checknew for quick checking for new
	  PMs to db layers

   2006-02-08 16:05  mmakaay
	* Some optimization in the private message formatting code for more
	  speed.

   2006-02-08 11:29  mmakaay
	* Bugfix: When using reply in read page, moderators could not view
	  the message

   2006-02-07 17:07  mmakaay
	* Possible fix for templates.php timing out on Windows systems

   2006-02-05 17:30  ts77
	* added script for rebuilding the search-table

   2006-02-05 16:41  ts77
	* fixed double escaped search-data

   2006-02-04 16:12  mmakaay
	* Fix for searching for quoted phrases

   2006-02-04 15:19  ts77
	* removed "stale </a>" from #252

   2006-02-03 13:48  ts77
	* "build the urls in search-page in any case - fix for #251"

   2006-02-03 13:14  mmakaay
	* Fixed bug: admin could not relogin with cookies disabled in
	  Phorum's settings

   2006-01-28 22:02  ts77
	* "first version of console-upgrade script. not yet tested"

   2006-01-28 16:37  ts77
	* "added missing POST_VARS, fix for #249"

   2006-01-24 19:54  ts77
	* "disabled tight_security by default on new installs"

   2006-01-24 03:04  brian
	* Fix for bug #234. Forum permissions not removed when changing from
	  default forum options to custom

   2006-01-22 21:11  mmakaay
	* The query for discovering mutual buddies was incorrect (bug #230,
	  thanks regdos)

   2006-01-21 18:20  ts77
	* fixing default settings overwriting all forums (bug #233)

   2006-01-21 17:49  ts77
	* really showing newflags in both flat and threaded read (fixing
	  #235)

   2006-01-20 11:22  mmakaay
	* Fix for #231: Undefined constant used (credits to joys)

   2006-01-20 00:32  mmakaay
	* Fix: reply on read page + tighter security gave problems on
	  session timeout

   2006-01-18 14:34  mmakaay
	* Fixed failing combination of tighter security + URI authentication
	  (no cookies)

   2006-01-17 23:01  mmakaay
	* Fix for #229: The list of buddies is now sorted by username
	  (thanks regdos)

   2006-01-16 23:31  mmakaay
	* Bugfix: The administrator could not edit replies to announcements

   2006-01-16 23:13  ts77
	* "fixing index-links + #220"

   2006-01-16 18:09  brian
	* Profiles for users that are deactivated show an error message now.

   2006-01-16 16:46  mmakaay
	* Fix for #219: No charset sent using Content-Type header for admin
	  interface

   2006-01-16 15:27  mmakaay
	* Final fix for [216] and [217]

   2006-01-15 18:59  ts77
	* fix for not being able to empty the permissions

   2006-01-15 16:49  ts77
	* "focus to search-form only on first entry and no results (#218)"

   2006-01-15 13:21  ts77
	* another fix for reply on separate page, quotes and so on (#216)

   2006-01-12 23:48  dvl
	* Conversion of final MySQL elements. Search now works

   2006-01-12 22:05  brian
	* RSS feeds are now cached for better performance

   2006-01-11 16:18  brian
	* Added post count to user profiles

   2006-01-10 21:33  ts77
	* "fixed a couple of problems with install-settings, now really
	  fixing #210"

   2006-01-10 21:18  ts77
	* "revert previous change, my bad"

   2006-01-10 21:08  ts77
	* "adding default forum settings on install (fix for #210) "

   2006-01-06 22:49  dvl
	* Because PostgreSQL doesn't have the same limits as MySQL, just
	  return NULL from phorum_db_maxpacketsize()

   2006-01-06 22:39  dvl
	* Add a work-in-progress for the PostgreSQL port. Search does not
	  work.

   2006-01-06 21:42  ts77
	* "fixing another item of #203"

   2006-01-06 10:29  ts77
	* "fixed #203"

   2006-01-04 20:49  mmakaay
	* Extended search options for admin user control. Thanks spoier!

   2005-12-18 20:45  brian
	* checked that users are fully logged in if that option is selected
	  in the admin

   2005-12-16 23:11  ts77
	* added a switch for using RSS and a link to the header for it

   2005-12-16 21:02  ts77
	* streamlined index/messagelist/post-url creation should fix #199

   2005-12-10 19:36  ts77
	* made the target of the sql-error-messages configurable

   2005-12-10 18:41  ts77
	* some better formatting in banlist and badwords, marking duplicate
	  entries in banlists (patch from golem.de)

   2005-12-10 18:13  ts77
	* remove the unnecessary message-bodies in threaded-read-view for
	  performance increases in large threads (recommended by golem.de),
	  added an option to still load them if a template needs this

   2005-12-10 17:40  brian
	* changes to blog template for phorum 5.1

   2005-12-05 19:40  ts77
	* added banlist-checks for spam-words in subject and body (provided
	  by golem.de)

   2005-12-04 14:05  ts77
	* added options for moderators to avoid getting moderation-emails,
	  implementing #196

   2005-12-04 13:14  ts77
	* "adding checks for duplicate custom profile-fields and reserved
	  names, fixing #160 , list of reserved names might need some
	  extension"

   2005-11-27 21:48  ts77
	* added navigation and more visible message to report-form (fixing
	  #185)

   2005-11-23 15:23  brian
	* commiting module to allow for attachments to be stored on the
	  filesystem

   2005-11-22 23:03  ts77
	* setting up more data in list.php if the bodies are retrieved too,
	  like maurice suggested, fixing #169

   2005-11-22 22:25  ts77
	* moved default settings from dblayer to install-script calling the
	  db-dependant functions, should fix #172

   2005-11-22 10:45  ts77
	* "fixed #189"

   2005-11-21 13:12  mmakaay
	* Fix for bug #188: new flags not shown for sticky and announce in
	  threaded list

   2005-11-20 23:42  ts77
	* "added first experimental mysqli-layer"

   2005-11-08 21:47  ts77
	* "fixed removing newlines in table-definitions (kudos to brian)"

   2005-11-03 20:53  mmakaay
	* Added upgrade notification iframe banner to the admin interface
	  header

   2005-11-02 21:40  ts77
	* fixed bug #175

   2005-10-29 01:08  mmakaay
	* Added 'Check for new version' to the admin interface

   2005-10-25 13:51  mmakaay
	* Lots of improvements for the bundled smiley mod. # * Often the
	  hard-coded smiley path "./smileys" was used instead # of the
	  configurable prefix. # * Fixed showing a smiley preview image. # *
	  Preview image is now also shown directly when starting to edit a
	  smiley. # * Implemented a separate mods/smileys/defaults.php file,
	  for easy # default config value maintenance and initial
	  configuration setup. # * In the $PHORUM["mod_smileys"] array,
	  smileys are not stored at the same # level as the other settings
	  anymore. # * The smiley prefix path is better checked for
	  problems. # * The smiley prefix path is forced to always have an
	  ending "/" character. # * Only files with a real image extension
	  are used in the smiley drop down. # * If configured smileys have
	  an unavailable image, the "Smiley image" # column in the overview
	  will say "UNAVAILABLE" and a clear warning message # is shown to
	  the administrator, telling him to fix the problem(s). # * The
	  smiley body & subject replacement arrays are cached in the
	  database. # * The message "no smileys configured" was never shown.
	  # * Inputs for smiley and alt tag are made smaller (50 was too
	  much IMO). # * Smiley images are put in the CSS class
	  "phorum-smiley", so users can # style the image if they want to. #
	  * Installation of a default list of smileys is taken out of #
	  include/db/mysql.php. This is now fully handled by the module
	  itself. # * Description for "thumbs up smiley" changed to "the
	  finger smiley". # * Smileys are now stored inside the module
	  directory itself. # * The configuration for the old smileys mod is
	  automatically converted.

   2005-10-17 16:35  ts77
	* fixing #164, removed debug-output and check for forum inheriting
	  default settings

   2005-10-17 16:12  ts77
	* "fixed [156], table structure needed to be changed"

   2005-10-15 02:19  mmakaay
	* Added phorum_check_bans() for easy checking and fixed
	  phorum_check_ban_lists().

   2005-10-11 06:23  mmakaay
	* Only show (Buddy) after username in profile in case PM is enabled

   2005-10-10 13:59  mmakaay
	* New template feature: {HOOK hook_name arg1 arg2 .. argn} # Hooks
	  can now also be called in templates. This is solely for # being
	  able to let modules writers extend the forms that Phorum uses. #
	  If one hook argument is used, the hook code will translate to: #
	  phorum_hook(hook_name, arg1) # If multiple hook arguments are
	  used, it will translate to: # phorum_hook(hook_name, array(arg1,
	  arg2, .., argn)) # The hook may also be called without using
	  arguments.

   2005-10-08 05:01  brian
	* Added new hooks to make alternate attachment storage possible

   2005-10-06 23:21  mmakaay
	* Activated the new editor code in the Phorum core. # This revision
	  does not contain cleanup of the old code. # That will be done in a
	  separate revision.

   2005-10-06 15:52  ts77
	* "fixed ticket #138 , typo in database-create-scripts."

   2005-10-06 14:11  mmakaay
	* New feature for the PM interface: multiple recipients in one
	  message

   2005-10-06 13:54  mmakaay
	* Added feature to header.tpl, which can be used to set the focus to
	  a page element. The element's id can be specified using
	  {FOCUS_TO_ID}.

   2005-10-06 05:00  brian
	* simplified the help pop up by ridding us of the iframe and the
	  extra js code in include.

   2005-10-05 15:20  brian
	* added user's status to the user admin.

   2005-10-04 06:28  brian
	* New security feature! Users must confirm their login before
	  posting or making changes to their account if they have been away
	  from the site.

   2005-10-04 05:02  brian
	* Added default forum settings. A forum can now inherit its settings
	  from another forum, or the defaults.

   2005-10-04 02:21  brian
	* Private Messages are now separate from the Control Center.

   2005-10-04 01:49  brian
	* ASSIGN now supports ints

   2005-10-03 01:31  mmakaay
	* Implemented a buddy system for private messaging.

   2005-10-01 22:24  mmakaay
	* Added a new option "System Sanity Checks" to the admin panel. This
	  can be used to run a number of checks on the system to see if it
	  is configured correctly for using Phorum. # Implementation: # #
	  All checks are stored as single PHP files in the directory #
	  include/admin/sanity_checks/ # Each file you create there must at
	  least have the following: # # * A variable $check_description
	  which is set to the description # string that is showed in the
	  sanity checks result screen. # * A function named
	  phorum_check_<file basename> which does the # actual checking.
	  This function has to return two parameters. # The first one is one
	  of the constants PHORUM_SANITY_OK, # PHORUM_SANITY_WARN or
	  PHORUM_SANITY_CRIT. The second one # is a description of a problem
	  that was found or NULL in # case no problem was found. # # The
	  sanity checking frontend will then take care of the rest. # #
	  Already implemented checks are checks for: # - database connection
	  (Config available and can we connect?) # - cache directory (Can we
	  find and write there? And does caching work?) # - file uploading
	  (Checking PHP/MySQL max upload size against settings)

   2005-09-28 10:51  mmakaay
	* Fixed #123: when deleting a thread, also delete move notification

   2005-09-28 09:32  mmakaay
	* Fixed #115

   2005-09-28 00:40  mmakaay
	* Rewrote the module creation documentation and updated the list of
	  hooks

   2005-09-24 11:43  mmakaay
	* Cleaned up and updated the Phorum5 docs directory.

   2005-09-22 14:15  mmakaay
	* Added e-mail notifications for new private messages. The user can
	  turn these notification on or off in the control panel (forum
	  settings). # The users table now has a field "pm_email_notify" to
	  store the setting in.

   2005-09-22 00:11  mmakaay
	* Implemented folder support for private messaging.

   2005-09-20 23:30  brian
	* Made fonts look better on Linux

   2005-09-20 23:30  brian
	* Changed to use new template abilities

   2005-09-20 23:29  brian
	* Added Mark Read and RSS links to index page.

   2005-09-20 23:00  brian
	* Stickies and announcements not longer mess up threaded view.

   2005-09-20 22:59  brian
	* Stickies and announcements not longer mess up threaded view.

   2005-09-17 17:26  ts77
	* added maurice's new method of including/inlining templates so that
	  just one large template is processed on output (see #90 for
	  details)

   2005-09-16 13:39  mmakaay
	* Implemented a whole new backend for the PM system. This backend is
	  a preparation for a more sophisticated PM system which supports
	  things like user folders, buddy lists, multiple recipients and a
	  trash bin. # # Notes: # # Because the way messages are stored has
	  changed, the old PM calls # from mysql.php have been deprecated.
	  When calling these functions, # an error message will be shown.
	  This will only be done in case # non-Phorum scripts call the old
	  functions. Phorum uses the new API. # # In the database migration
	  script, dropping the old private messages # table is not yet
	  included, so in case of problems a rollback is # possible without
	  loosing the old private messages. This will be # incorporated as
	  soon as the new code has proven to be stable. # # New database
	  structure: # # {prefix}_pm_messages: holds the message data for a
	  PM # {prefix}_pm_folders: holds the custom folders for the users #
	  {prefix}_pm_xref: links users, messages and folders together # #
	  The inbox and outbox for the users are built-in special folders, #
	  so there will not be in {prefix}_pm_folders.

   2005-09-13 11:15  mmakaay
	* Added configuration option for setting max nr. of messages in the
	  PM storage of a user

   2005-09-12 23:01  mmakaay
	* Fix for #111 Added checks for banned users to PM posting

   2005-09-12 21:37  mmakaay
	* Added an experimental tool for helping language maintainers

   2005-09-08 14:53  mmakaay
	* Fixed "Only variables can be passed by reference" error caused by
	  PHP 5.0.5 In PHP 5.0.5 constructions like
	  array_shift(some_function()) are no longer accepted.

   2005-09-06 19:32  mmakaay
	* Use phorum_filesize() for formatting filesizes

   2005-09-06 18:50  mmakaay
	* Subject needed to be formatted before it was displayed.

   2005-09-06 14:47  mmakaay
	* Fixed copyright notice formatting.

   2005-08-31 21:38  mmakaay
	* Database upgrade script for [209]

   2005-08-31 11:17  mmakaay
	* Fixed some more line-ending properties

   2005-08-29 00:17  mmakaay
	* Disabled cumulative attachment size check in case no config value
	  is set

   2005-08-28 23:52  mmakaay
	* Added max cumulative size to attachment settings and some fixes: *
	  max cumulative size is used to be able to set a maximum total size
	  for all attachments together. So now you can allow for example 10
	  attachments of each 1 Mb max, but limit the total attachment size
	  to 2 Mb. So the user can upload for example either 10 photo's or 1
	  MP3 file, but not 10 MP3 files. * uploading one or more
	  attachments always replaced the complete list of attachments,
	  instead of adding attachments to it; * Added some more explanation
	  for the attachment admin parameters, to make clear what an empty
	  or zero value means to Phorum; * The list of allowed file types is
	  not shown anymore in the template case no list is set in the admin
	  interface (so you won't get "You are allowed to attach files of
	  the following type:" without any options behind it on screen);

   2005-08-28 18:49  mmakaay
	* Updates from #106

   2005-08-28 14:52  mmakaay
	* Implemented formatting of filesizes.

   2005-08-28 14:45  mmakaay
	* Added phorum_filesize() for formatting bytes to better readable
	  file sizes.

   2005-08-26 22:19  mmakaay
	* Mysql upgrade script for #97

   2005-08-26 22:00  ts77
	* fixes for #97

   2005-08-26 21:48  mmakaay
	* Fixed $thread_is_announcement assignment to make
	  ThreadAnnouncement work

   2005-08-26 19:29  ts77
	* "fix for bug #103"

   2005-08-26 19:27  ts77
	* "fix for bug #102"

   2005-08-26 19:24  ts77
	* "fix for bug #105"

   2005-08-26 19:22  ts77
	* fixes bug #101

   2005-08-23 18:21  ts77
	* fixing ticket #100, thx to maurice

   2005-08-22 20:11  ts77
	* "fixed problem in newflags with vroots"

   2005-08-21 18:57  ts77
	* included patch for #89

   2005-08-18 17:23  brian
	* Fixed issues with upgrading and made sure no on could run the
	  install or upgrade on a running Phorum.

   2005-08-12 21:08  ts77
	* "changed merge thread to reinsert messages (#60)"

   2005-08-11 16:38  ts77
	* added option to generate your own custom urls with phorum_get_url

   2005-08-11 16:10  ts77
	* "fixed #86"

   2005-08-11 16:07  ts77
	* "fixed #85"

   2005-08-11 16:03  ts77
	* "fixed #87"

   2005-08-11 03:04  brian
	* Added a new module called markdown that uses the new simple,
	  single file module method. Markdown is a text decoration syntax
	  used in several open source blogging applications.

   2005-08-11 02:59  brian
	* Added support for new template options. These include adding NOT
	  to an if and comparing two template vars with an if. Plus some bug
	  fixes.

   2005-08-10 20:53  ts77
	* fixed #79

   2005-08-10 20:34  ts77
	* "fixing #72"

   2005-08-10 20:24  ts77
	* "fixing #68 and #80"

   2005-08-10 10:43  ts77
	* "fixed ticket #81 ... thx"

   2005-08-09 18:28  ts77
	* changed post_form-hook to be without arguments

   2005-08-09 16:02  ts77
	* "fixed #76"

   2005-08-08 18:25  ts77
	* made move-thread much more robust, also less permissions needed to
	  move a thread *to* a forum

   2005-08-07 15:40  ts77
	* "fixed enhancement-request #67"

   2005-08-07 15:30  ts77
	* "fixed bug #64"

   2005-08-05 18:54  ts77
	* "added strike-through to bbcode"

   2005-08-05 10:50  ts77
	* fixed replyable attachments in non-threaded list

   2005-08-05 01:04  brian
	* Adding rss.php to the distro officially

   2005-08-05 01:02  brian
	* Added blog template to distro

   2005-08-01 19:52  ts77
	* formatting the signature on the controlcenter-startpage too

   2005-07-27 18:36  brian
	* we need to htmlspecialchars the body previews.

   2005-07-26 16:14  ts77
	* "changed meta-field in messages-table mediumtext, there were
	  problems with long threads before"

   2005-07-24 21:42  ts77
	* show index-url only if the forum is not hidden

   2005-07-24 21:12  ts77
	* fixed paging of read-pages for moderators if unapproved posts are
	  there

   2005-07-19 17:28  ts77
	* setting charset and encoding for outgoing mails (thx to Stephan
	  Schulz)

   2005-07-19 17:20  ts77
	* fixed tz_offset with default-setting going wrong

   2005-07-19 10:51  ts77
	* made bad-words check work on subject and author too

   2005-07-18 17:21  ts77
	* fixed setting-inheritance

   2005-07-18 17:19  ts77
	* fixed forum-index link in case of new folder view

   2005-07-16 18:52  ts77
	* fixed permissions not being saved in the admin

   2005-07-12 08:00  ts77
	* show "move thread" only if the moderator moderates more than one
	  forum

   2005-07-11 21:48  ts77
	* option for ignoring administrators in moderator-emails

   2005-07-06 21:11  ts77
	* added banlist by userid and blocked blocked users from editing
	  their posts

   2005-07-06 16:27  brian
	* Added a note to inform new admins that they will see the IP
	  address even when hidden from other users.

   2005-07-05 21:34  ts77
	* added merge/split thread feature

   2005-06-27 17:14  ts77
	* added link for going to the first new message in a thread (flat
	  view only)

   2005-06-24 16:13  ts77
	* added inherited forum-settings (done as paid work by sandersor.de)

   2005-06-20 19:15  brian
	* Rework of attachment workflow. Users can now edit and preview
	  posts before commiting them to the forum list.

   2005-06-20 17:48  brian
	* The admin now uses the charset from the default language file

   2005-06-20 17:35  brian
	* Reverse threading hack implemented as a feature

   2005-06-20 17:35  brian
	* Reverse threading hack implemented as a feature

   2005-06-20 17:01  brian
	* Using charset in htmlentities now ticket #25

   2005-06-19 01:02  brian
	* You can now choose between the classic forum/folder display and
	  the new flat forum display

   2005-06-16 03:55  brian
	* Added new ability to toggle the status of the forum. Normal, Read
	  Only, Admin Only and Disabled. Also, Phorum will display a message
	  when the database is down and optionally redirect to a URL you set
	  up in the DB config file.

   2005-06-16 02:17  brian
	* few rewrites for SVN and how the change log works now.

   2005-06-16 02:09  brian
	* doc update for quote hook and some fixes

   2005-06-16 01:52  brian
	* Reply form on a separate page and quote hook are now done.

   2005-06-15 21:56  brian
	* replies by moderators were being marked as closed. also, should
	  have been checking $parent status and not $parent closed.

   2005-06-09 08:41  ts77
	* sending user-localized mail-notifications (#42)

   2005-06-08 19:17  ts77
	* enhanced announcements with the option to allow replies

   2005-05-25 21:55  ts77
	* added another hook "check_post"

   2005-05-18 20:48  ts77
	* preview for message-edits by users

   2005-03-28 23:15  ts77
	* first implementation of message-caching for read-page

   2005-03-19 13:53  ts77
	* added session-id for uri-authentication to make it a bit safer
	  (i.e. if such a url is posted somewhere)

   2005-03-17 23:26  ts77
	* don't allow making a message to an announcement if it has replies

   2005-03-17 22:48  ts77
	* make announcements have a better reason that you can not reply to
	  them (fixes bug #4)

   2005-03-17 17:41  ts77
	* Initial Import of HEAD and 5.0.15


   
   
   ---------------------------------------------------------------------------------
   attached is the previous Changelog up to March, 10th 2005 
   (before we were running subversion)
   ---------------------------------------------------------------------------------
   
   
Phorum 5 Changelog
---------------------------------------------------------------------------

Release: phorum.5.0.15
-----------------------

   * Better handle invalid input for page value in url. - brian
     (03/10/2005)

   * Better handle invalid input for user_id in url. - brian
     (03/10/2005)

   * Redirect URL needs to encode the url parts - brian (03/10/2005)

   * make checkdnsrr-calls only if function exists - ts77 (03/09/2005)

   * fixed bug in email-panel of cc - ts77 (03/09/2005)

   * added mark-thread-read (patch from Panu, thx!) - ts77 (03/05/2005)

   * First commit of mysql full text search - brian (03/01/2005)

   * You can reply via PM - brian (03/01/2005)

   * Subscriptions now changed when threads are moved. - brian
     (02/28/2005)

   * Fixed a possible XSS issue - brian (02/22/2005)

   * Forum id carried in group parts of CC now. - brian (02/22/2005)

Release: phorum.5.0.14a
------------------------

   * clearing special-characters from attachment-name (thanks to Jon
     Oberheide) - ts77 (02/21/2005)

   * Removed Upload files permission option. Never used. - brian
     (02/21/2005)

Release: phorum.5.0.14
-----------------------

   * fixed wrong fallback to default-template if user-template is set as
     empty - ts77 (02/16/2005)

   * fixed problem if account is denied before the user has verified the
     account by mail - ts77 (02/16/2005)

   * checking new user-email also against existing emails - ts77
     (02/16/2005)

   * Renamed settings variables to comply with Phorum standards - sheik
     (02/08/2005)

   * disallowing time-zone-selection works now too if a user already
     selected a timezone. - ts77 (02/05/2005)

   * implemented user-caching with the new cache-layer - ts77
     (02/05/2005)

   * Removed call to timing functions - sheik (02/05/2005)

   * Added code for "open links in new window" and "anti-spam tag on
     links" - sheik (02/05/2005)

   * Settings file created to make new "open links in new window" and
     "anti-spam tag on links" options optional - sheik (02/05/2005)

   * added simple file-caching api - ts77 (12/23/2004)

   * fixed permission-display in admin - ts77 (12/14/2004)

   * MFH: ip-masking in preview too - ts77 (11/28/2004)

   * added stripped body and full body to email-variables, documented
     email-variables - ts77 (11/28/2004)

   * added closed-flag to list-page - ts77 (11/28/2004)

   * moved custom profile-fields into their own table and made options
     for limiting them in size and htmlencoding them - ts77 (11/26/2004)

   * new upgrade-system: only one upgrade-file at a time, new numbering
     - ts77 (11/25/2004)

   * moved format_functions.php out of the condition - ts77
     (11/23/2004)

   * changed threaded-list/-read to use padding for indenting and
     wrapping long subjects - ts77 (11/23/2004)

   * fixed message after editing - ts77 (11/22/2004)

   * Changed email regex to be more compatible with modern domain names.
     - brian (11/22/2004)

   * new hooks cc_user_save, before_register - changed hook
     after_register - ts77 (11/16/2004)

   * report a post split out from read.php, allows user to explain the
     report - tridus (11/16/2004)

   * added "search"-hook - ts77 (11/16/2004)

   * fixed saving passwords (disallowed empty ones) - ts77 (11/16/2004)

   * fixed converting pure email-addresses if no bbcode was found - ts77
     (11/16/2004)

   * showing forum-list-link only if needed - ts77 (11/15/2004)

   * giving just a message if no forums are visible in a folder - ts77
     (11/12/2004)

   * changed default for new folders to be visible - ts77 (11/12/2004)

Release: phorum.5.0.13a
------------------------

   * reverted more of the entity changes - ts77 (11/11/2004)

Release: phorum.5.0.13
-----------------------

   * Added a lot of code to check for invalid input - brian
     (11/10/2004)

   * Requests for passwords for users that have not verified will not be
     sent a new verification email - brian (11/09/2004)

   * some more precautions for html-entities - ts77 (11/08/2004)

   * logout works with empty REFERER now too - ts77 (11/08/2004)

   * fixed wrong message counts in threaded list - ts77 (11/03/2004)

   * fixed backurl in controlcenter while being in a forum-folder - ts77
     (11/02/2004)

   * removed requirement to specify a description for forum/folder in
     the admin - ts77 (11/02/2004)

   * fixed user_template and user_language to allow the "default"-value
     - ts77 (11/01/2004)

   * fixed bug #531, msgs with attachments didn't get the right status
     in moderated forums - ts77 (10/29/2004)

   * Escape the HTML in name and description when editing - brian
     (10/28/2004)

Release: phorum.5.0.12
-----------------------

   * XSS really gone now - ts77 (10/27/2004)

   * added profile hook to controlcenter-summary too - ts77
     (10/27/2004)

   * better defaults for page if not set - ts77 (10/26/2004)

   * fixed sql-injection issue - ts77 (10/25/2004)

   * fixed sql-injection issue - ts77 (10/24/2004)

   * fixed showing pm-inbox after deleting in the pm-sentbox - ts77
     (10/24/2004)

   * fixed wrong message-index if not logged in - ts77 (10/24/2004)

   * posts in closed threads can't be edited - tridus (10/22/2004)

   * Fixed session timeout to allow session cookies by using 0 days -
     brian (10/22/2004)

   * Updated bbcode module to have classes in some of the markup - brian
     (10/22/2004)

   * fixed bug #526/#528 - ts77 (10/21/2004)

   * fixed move-notification in threaded view - ts77 (10/21/2004)

   * fixed "message not found" for threaded-read - ts77 (10/21/2004)

   * added (optional) move-notification - ts77 (10/19/2004)

Release: phorum.5.0.11
-----------------------

   * bug fix release (10/15/2004)

   * added attachment-conversion (thanks to Clemens Weiss), checking for
     existing group and user tables now - ts77 (10/14/2004)

   * added script for updating the post-counts of users after conversion
     - ts77 (10/13/2004)

   * file update_postcount.php was initially added on branch phorum_5_0.
     - ts77 (10/13/2004)

   * fixed hidden messages showing in threaded-list - ts77 (10/11/2004)

   * censor-filter now works per-forum too - ts77 (10/09/2004)

   * file creating_templates.txt was initially added on branch
     phorum_5_0. - ts77 (10/09/2004)

   * bodies only loaded on request now in the message-list - ts77
     (10/09/2004)

   * deleting subscriptions on deleting a message too - ts77
     (10/09/2004)

   * Better detection of js in HTML mod - brian (10/08/2004)

   * Reworked key for getting post count for better performance - brian
     (10/08/2004)

   * Reworked key for getting post count for better performance - brian
     (10/07/2004)

   * Email validity check now allows for capital letters in the email's
     domain - brian (10/04/2004)

   * Both datestamp and last_post_time are now formatted in threaded and
     non-threaded mode. - brian (09/30/2004)

   * Improved performance of getting unapproved list for moderators -
     brian (09/30/2004)

   * Setting tz to default now works properly - brian (09/29/2004)

   * Closed posts could be brute force replied to. - brian (09/28/2004)

   * Fixed warning when adding/editing forums. - brian (09/27/2004)

   * The HTML_TITLE is not set correctly on pages of a read page. -
     brian (09/25/2004)

   * fixed newflags for moved threads - ts77 (09/22/2004)

   * fixed ip-display in preview - ts77 (09/20/2004)

   * Registration emails will now work better for AOL users - brian
     (09/15/2004)

   * Fixed possible XSS issue with the linked author - brian
     (09/15/2004)

   * fixed url in redirect after adding/editing a forum - ts77
     (09/14/2004)

   * Bare urls with capital letters in them were not getting converted
     properly. - brian (09/14/2004)

   * Fixed the email and url tags in BBCode - brian (09/14/2004)

Release: phorum.5.0.10
-----------------------

   * BBCode module only works for properly formatted codes now. Urls are
     shortened for better display. - brian (09/13/2004)

   * Fixed potential XSS in last post author name - brian (09/10/2004)

   * correctly removing session-info from all notification-urls - ts77
     (09/10/2004)

   * Session timeout can be 0 now. - brian (09/10/2004)

   * Added module localization support - tridus (09/09/2004)

   * added forum_last_active column for forum where the user was last
     active. - ts77 (09/07/2004)

   * Email verification is no more inline with RFC 2822 - brian
     (09/07/2004)

   * We now give better messages upon new installations. - brian
     (09/06/2004)

   * new message-notifications for moderators work correctly now - ts77
     (09/06/2004)

   * Fixed bug where sticky posts edited by non-moderators stay sticky -
     brian (09/06/2004)

   * Changes in admin to forums send you back to that forums parent
     instead of the top. - brian (09/06/2004)

   * anchors for read-links now have a msg-<number> name - ts77
     (09/05/2004)

   * fixed that user-timezone set to default is really ignored for
     tz-conversion then - ts77 (09/05/2004)

   * conversion-script now handles permissions and groups /
     group-members too - ts77 (09/03/2004)

   * fixed threaded-view paging. threads could be hidden between page 1
     and 2. - ts77 (09/02/2004)

Release: phorum.5.0.9
----------------------

   * bug fix release (09/01/2004)

   * new hook \"moderation\" i.e. for logging moderator actions - ts77
     (08/31/2004)

   * fixed missing links and vars for mails about attachments - ts77
     (08/31/2004)

   * storing forum-offsets in the settings now on conversion - ts77
     (08/31/2004)

   * installer now checks if cache is writable on a new install - tridus
     (08/31/2004)

   * fixed \"mark all messages read\" in empty forums - ts77
     (08/28/2004)

Release: phorum.5.0.8.RC
-------------------------

   * bumped release version - brian (08/20/2004)

   * newflags are now moved while moving a message - ts77 (08/20/2004)

   * Added a hook to the index.php page - brian (08/19/2004)

   * Added new message count to forum index - brian (08/19/2004)

   * pm-preview now formatted too - ts77 (08/19/2004)

   * Created a function for module writers that will fetch the last x
     messages with several options - brian (08/19/2004)

   * Attachments can now be deleted by users and moderators - brian
     (08/18/2004)

   * New Smilies - brian (08/17/2004)

   * added script.php, external and scheduled hooks to run things from
     command line - tridus (08/12/2004)

   * moderator notifications are now different for messages needing
     approval and not needing approval - ts77 (08/11/2004)

   * Moved closed status to its own field for better logic and
     performance - brian (08/09/2004)

   * enhancements for smiley-module (thanks to Cameron Brunner) - ts77
     (08/08/2004)

   * *** empty log message *** - ts77 (08/07/2004)

   * Improved memory usage of the 3to5 upgrade script. - brian
     (08/04/2004)

   * rewrote newflag/readflag storage to be more flexible - ts77
     (08/03/2004)

   * added email-verification on email-change - ts77 (08/03/2004)

   * fixed saving permissions, missing break in display_fixed - ts77
     (07/29/2004)

Release: phorum.5.0.7a.beta
----------------------------

   * removed debugging output - security issue - ts77 (07/28/2004)

   * fixed broken p3-to-p5-conv - ts77 (07/28/2004)

Release: phorum.5.0.7.beta
---------------------------

   * bug fix release (07/26/2004)

   * Improved private messaging. Added formatting, security - brian
     (07/23/2004)

   * fix table name typo - brian (07/23/2004)

   * Added support to look at banned names and emails to the register
     page - brian (07/22/2004)

   * tweaked new installation settings, added smiley defaults - tridus
     (07/22/2004)

   * changed config.php to config.php.sample - tridus (07/22/2004)

   * Improved followed (bookmarks/subscriptions) threads - brian
     (07/19/2004)

   * allowed for hidden languages/templates - ts77 (07/19/2004)

   * added fixed display-settings - ts77 (07/19/2004)

   * Added hooks to all moderation functions - brian (07/18/2004)

   * Improved followed (bookmarks/subscriptions) threads - brian
     (07/18/2004)

   * Improved the email sent when a post is reported. - brian
     (07/17/2004)

   * added thread-bookmarking (thanks to Arthur Louie) - ts77
     (07/17/2004)

   * added convertViewCount.php to scripts directory - converts
     viewcounts to new format - tridus (07/17/2004)

   * Improved help text with regards to permissions - brian
     (07/17/2004)

   * Added check of read permissions to attachments. - brian
     (07/16/2004)

   * Added tighter security to seaches - brian (07/16/2004)

   * added float-to-top for threaded mode AND an additional setting for
     number of threads on the list-page on threaded-mode, paged list for
     threaded - ts77 (07/15/2004)

   * added user_list hook - tridus (07/15/2004)

   * added ability for users to join groups in CC, admin can disallow on
     a per-group basis - tridus (07/11/2004)

   * groupmod improvements - can filter the list of users, group list
     shows how many unapproved - tridus (07/11/2004)

   * added index for unapproved messages-queries - ts77 (07/10/2004)

   * *** empty log message *** - ts77 (07/10/2004)

   * added read-url to subscriptions-page - ts77 (07/10/2004)

   * added option to show smileys in subject too - ts77 (07/10/2004)

   * added users data as USERINFO to the template-vars - ts77
     (07/09/2004)

   * fixed checking for correct user if reading a PM - ts77
     (07/08/2004)

   * Optimized queries for flat list view. Should help with speed issues
     some have seen. - brian (07/07/2004)

   * added fallback to default-language if nonexistent language selected
     - ts77 (07/04/2004)

   * allowed macro-expansion in mail-subject too - ts77 (07/03/2004)

   * added SearchTips to the search-page - ts77 (07/03/2004)

   * added missing signature to post-preview - ts77 (07/01/2004)

   * added a notification box to alert users of things that need their
     attention - tridus (06/21/2004)

   * initial group moderation interface, can list group members in cc
     (assign mods in admin) - tridus (06/19/2004)

   * group moderation is fully functional - tridus (06/19/2004)

   * added optional dropdown list of users when sending a new private
     message - tridus (06/19/2004)

   * added error-checking for too large message-bodies - ts77
     (06/18/2004)

   * added DST-setting, started email-change verification (not finished
     yet) - ts77 (06/14/2004)

   * added confirmation before a post is reported - tridus (06/10/2004)

   * fixed banlist-checking (was wrong order of arguments) - ts77
     (06/01/2004)

   * fixed setting a wrong password in the user-admin if no password is
     set. - ts77 (05/30/2004)

   * merged viewcount-mod into the main-code, allows per-forum setting
     now - ts77 (05/29/2004)

Release: phorum.5.0.6.beta
---------------------------

   * File Uploads in CC now global option. Fixes bugs with this system -
     brian (05/25/2004)

   * report a post now works - tridus (05/24/2004)

   * approving a whole thread is now implemented - ts77 (05/22/2004)

   * removed page-links from list if the read-view is set to threaded -
     ts77 (05/20/2004)

   * fixed missing sticky/announcement in preview - ts77 (05/20/2004)

   * tightened checks for valid values in search-links - ts77
     (05/20/2004)

   * fixed missing message-id and -thread in notification messages for
     attachments - ts77 (05/20/2004)

   * really abort an message-edit if an error occured - ts77
     (05/20/2004)

   * *** empty log message *** - ts77 (05/18/2004)

   * Added an after_register hook - brian (05/15/2004)

   * User searches in admin now list all users when page first accessed
     - brian (05/15/2004)

   * improved ban-list checking (does user/email check for registered
     now too) - ts77 (05/14/2004)

   * overwriting temporary password too on password-change - ts77
     (05/08/2004)

   * unapproved messages are now marked while reading them - ts77
     (05/07/2004)

   * author-name is changed now on deleting a user (can be disabled with
     a constant in include/constants.php) - ts77 (05/07/2004)

   * hidden/unapproved messages are now ignored in thread-info like
     count and new - ts77 (05/07/2004)

   * Title tag now contains some dyanmic information - brian
     (05/02/2004)

   * Adding a global HTML title and support for additional tags in the
     head of the page. - brian (05/02/2004)

   * Added new constant for string separator for things like the title
     tag - brian (05/02/2004)

   * added user-delete to the admin - ts77 (05/02/2004)

   * added an admin option for deleting old messages/threads - ts77
     (05/01/2004)

   * Portable code should work now - brian (04/30/2004)

   * enabled IIS-hack - checking for SERVER_SOFTWARE-string - ts77
     (04/30/2004)

   * many improvements to the templates, better configurability,
     alternating colors and stuff - ts77 (04/30/2004)

   * Added support for meta tags in language files - brian (04/23/2004)

   * Added a link to phorum.org in the template footer - brian
     (04/20/2004)

   * fixed signature-flag in user-edit of messages - ts77 (04/18/2004)

   * fixed view of usernames with html-characters, html-encoded now -
     ts77 (04/18/2004)

   * *** empty log message *** - ts77 (04/18/2004)

   * forum-list link goes now back to the parent-folder, not the
     root-folder - ts77 (04/10/2004)

   * email-addresses of anonymous users are now shown in the list too -
     ts77 (04/10/2004)

   * fixed hide_email not saved - ts77 (04/08/2004)

   * fixed hidden messages shown in list - ts77 (04/07/2004)

   * Fixed portable code. - brian (04/02/2004)

   * You can no longer edit settings for a module that is turned off. -
     brian (04/02/2004)

   * Searches are now url encoded so that url characters do not break
     searching. - brian (04/01/2004)

   * User registering from a forum are now treated properly. - brian
     (03/29/2004)

Release: phorum.5.0.5.beta
---------------------------

   * bug fix release (03/23/2004)

Release: phorum.5.0.4a.beta
----------------------------

   * bug fix release (03/22/2004)

Release: phorum.5.0.4.beta
---------------------------

   * implemented dates formatted by locale - ts77 (03/21/2004)

   * Added the date a user is registered and the ability to track when a
     user last used Phorum. - brian (03/17/2004)

   * Added ability to detect if cookies are off on the browser. - brian
     (03/17/2004)

   * Users can only search forums they are allowed to read now. - brian
     (03/17/2004)

   * added link to private messages to the default template, with number
     of new messages - tridus (03/12/2004)

   * Added user_info hook so module writers could alter user sigs in
     read.php - brian (03/05/2004)

   * fixed bug #489, selecting the max-id from wrong database - ts77
     (03/05/2004)

   * added send_mail-hook for plugging into the sending of messages -
     ts77 (03/04/2004)

   * fixed saving user-data in the cc - ts77 (03/04/2004)

Release: phorum.5.0.3.beta
---------------------------

   * fixed bug #478 - ts77 (03/03/2004)

   * added an idea, group moderators - ts77 (03/03/2004)

   * added user-selectable template - ts77 (03/02/2004)

   * Registration Moderation Added - brian (03/01/2004)

   * added user-selectable language - ts77 (02/25/2004)

   * First commit of attachments. - brian (02/13/2004)

   * added mixed view by checking threaded/non-threaded separately in
     list and read - ts77 (01/24/2004)

   * If there is only one forum, index.php now redirects to it. - brian
     (12/09/2003)

   * honor admin-setting of allowed tz-selection or not - ts77
     (12/09/2003)

   * This is a test of the new cvs update log script. - brian
     (11/26/2003)

   * fixed replies to sticky posts - brian (11/02/2003)

Release: phorum.5.0.2.alpha
----------------------------

   * bug fix release (10/30/2003)

   * stickies did not show up if there were no other messages. - brian
     (10/29/2003)

   * added user-selectable timezone - ts77 (10/04/2003)

   * implemented banlists per forum and put banlists in a table - ts77
     (09/27/2003)

   * Moderators can now view all users emails. - brian (09/19/2003)

   * Added a user file storage area to CC - brian (09/18/2003)

   * Added a user file storage area to CC - brian (09/17/2003)

   * Add email confirmation of new registrations. - brian (08/01/2003)

   * added option to show signature in a post or not added default
     settings for email-notify and add-signature to controlcenter ->
     boardsettings - ts77 (07/25/2003)

   * Added bad word filter. - brian (07/24/2003)

   * added duplicate-post check - ts77 (07/19/2003)

   * ControlCenter (mostly) finished - ts77 (07/12/2003)

   * moved prepost-moderation from its own page to the control-center -
     ts77 (06/15/2003)

   * Added list of message-subscriptions to the control-center - ts77
     (06/15/2003)

   * activated display-order in the admin - ts77 (06/15/2003)

   * added control-center - ts77 (06/10/2003)

   * Moderator's ips are no longer shown. - brian (06/10/2003)

Release: phorum.5.0.1.alpha
----------------------------

   * bug fix release (06/08/2003)

   * $PHORUM['DATA']-array and this entry is used as template-name then.
     - ts77 (05/31/2003)

   * Added preview - brian (05/30/2003)

   * Added "last post" feature in list.php to jump to last post in
     thread - brian (05/25/2003)

   * Fixed lost password so that it now sends a temp password like
     Phorum 3 does. - brian (05/25/2003)

   * Public users can no longer post using registered names. - brian
     (05/25/2003)

   * Added showing of IP to read page. - brian (05/23/2003)

   * Added quoting on reply. Does not use javascript. - brian
     (05/23/2003)

Release: phorum.5.0.0.alpha
----------------------------

   * fixed missing localizations of GoTo - ts77 (04/22/2003)

   * Changed language file. All keys to array have no spaces now. -
     brian (04/09/2003)

   * Rewrote large portions of the template engine. - brian
     (04/09/2003)

   * added .htaccess-files in important directories to increase security
     - ts77 (04/05/2003)

   * added a first version of a conversion script from phorum3.4 to
     phorum5 - ts77 (04/04/2003)

   * Added HTML module to allow safe HTML in messages. - brian
     (04/04/2003)

   * Added/fixed paging on the list page. - brian (04/03/2003)

   * fix for update_forum_stats if no posts in forum. - ts77
     (03/09/2003)

   * added display of number of edits and last edit to read-view added
     switch for allowing edit of posts to the admin - ts77 (02/24/2003)

   * added pre-post moderation - ts77 (02/23/2003)

   * added viewcount-mod, new hook "readthreads" - ts77 (02/21/2003)

   * Added a post hook. - brian (02/13/2003)

   * Added a meta field to the message table to store extra info. Useful
     for mods to use. - brian (02/13/2003)

   * fixed new-flags while using paging - ts77 (02/12/2003)

   * Added paging to the read page including page links on list.php -
     brian (02/04/2003)

   * Fixed more potential cross sight scripting issues with form input.
     - brian (01/30/2003)

   * Fixed a cross sight scripting issue when echoing sql errors. -
     brian (01/30/2003)

   * User/Group permissions fully done. - brian (01/23/2003)

   * Added Time Zone offset. - brian (01/23/2003)

   * Added group admin - brian (01/23/2003)

   * Added sigs to the read page - brian (01/20/2003)

   * implemented user-edits of posts. - ts77 (01/19/2003)

   * implemented first try of a new upgrade-system - ts77 (01/18/2003)

   * added edit-post parts - ts77 (01/18/2003)

   * Added new item about our CSS/XHTML stance. - brian (01/16/2003)

   * added option to add moderated forums to a user through the
     user-admin. - ts77 (01/13/2003)

   * threaded or flat is now a user option. - brian (01/12/2003)

   * added close/reopen thread - ts77 (01/12/2003)

   * fixed sticky and announcement posting - brian (01/12/2003)

   * Added announcement support - brian (01/12/2003)

   * Added color and size tags to bbcode. - brian (01/12/2003)

   * fixed sticky and announcement posting / added nav to post form -
     brian (01/12/2003)

   * laid groundwork for popup help in admin - brian (01/11/2003)

   * some more template-code, "if" allows now loopvars and array-vars
     too - ts77 (01/11/2003)

   * added move-thread functionality - ts77 (01/11/2003)

   * enabled list-moderation - ts77 (01/11/2003)

   * added code to show menu descriptions in status bar - brian
     (01/11/2003)

   * changed user functions to all be named phorum_user_* - brian
     (01/10/2003)

   * added a wrapper to allow multiple Phorum's from one source base -
     brian (01/10/2003)

   * added first moderation-parts (delete message and delete message
     with answers) - ts77 (01/10/2003)

   * fixed lost password error. - brian (01/10/2003)

   * improved installer - brian (01/10/2003)

   * fixed link after register - brian (01/08/2003)

   * Added user admin module. - brian (01/07/2003)

   * email banning was not working - brian (01/06/2003)

   * Modified code to include header and footer templates instead of the
     templates having to do it. - brian (12/19/2002)

   * added mark-all-read-functionality - ts77 (11/23/2002)

   * Improved error handling of table creation - brian (11/19/2002)

   * added newflag-support, uses a new table and only works if a user is
     logged in - ts77 (11/09/2002)

   * bbcode handles the url translation of all kinds. - brian
     (11/06/2002)

   * Changed the read hook to run before the body is formatted. mods
     must use special methods to insert tags. - brian (10/30/2002)

   * heh, allow_html was reversed. - brian (10/25/2002)

   * fixed lack of ] - brian (10/21/2002)

   * search was skipping the first result. - brian (10/16/2002)

   * search template - brian (10/16/2002)

   * fixing modifystamp and thread_count. - brian (10/12/2002)

   * made index.php get actual data for posts and last post. - brian
     (10/11/2002)

   * removed finish template. - brian (10/07/2002)

   * $extra not implemented in all places. - brian (10/07/2002)

   * check for smiley dir before trying to read from it. - brian
     (10/07/2002)

   * adding mod settings admin. - brian (10/06/2002)

   * some smiley-examples - ts77 (10/06/2002)

   * updating error codes, got modules working, added bb code mod, added
     dns lookup option and email validation. - brian (10/06/2002)

   * add replace mod and mod creation doc. - brian (10/06/2002)

   * added function for admin-form, corrected hooks-code, added
     smiley-plugin - ts77 (10/06/2002)

   * adding mod admin code and email validation code. - brian
     (10/06/2002)

   * fixed some install errors. - brian (10/06/2002)

   * actually adding bbcode module now. - brian (10/06/2002)

   * fixes for "headers sent" ... just some newlines removed - ts77
     (10/06/2002)

   * more template stuff. more admin stuff. folders working. - brian
     (08/29/2002)

   * updated more of the template. - brian (08/28/2002)

   * tweaking install process. - brian (08/28/2002)

   * got search working. - brian (08/27/2002)

   * added ban list to admin. More work on default template. Started
     phorum.php wrapper script. - brian (08/24/2002)

   * first shot at a template. added some stubs for needed features. -
     brian (08/23/2002)

   * got the install wizard working. started on search - brian
     (08/21/2002)

   * small fix to the caching. - ts77 (08/21/2002)

   * convert message tables into one table. rename all database
     functions to phorum_db_?? - brian (08/18/2002)

   * admin login was not working. - brian (08/10/2002)

   * got the admin working, got the index.php working. redesigned the
     tables, added and install.txt - brian (08/09/2002)

   * lots of changes. Remember this is still pre alpha. - brian
     (08/08/2002)

   * fixed read url in flat mode. - brian (07/25/2002)

   * no longer passing refs from the db functions, just arrays. - brian
     (07/12/2002)

   * lots of fixes. - brian (06/13/2002)

